const util = require('../../utils/util.js');
const tools = require('../../utils/tools.js');
var QQMapWX = require('../../libs/qqmap-wx-jssdk.min.js');
var isonShow;
var isTwoOnshow;
Page({
  data: {
    scrollHeight: 0,
    value: [0, 0, 0, 0, 0],
    focus: true,
    shiBaiShow: false,
    showAdressBox: false,
    showAdressBox1: false,
    provinceArr: [],
    cityArr: [],
    areaArr: [],
    townArr: [],
    villageArr: [],
    codeArr: [], //传地址时带的code数组
    province: '',
    city: '',
    area: '',
    town: '',
    village: '',
    codeArr: [], //传地址时带的code数组
    nowAdress: false, //现居地址可点不可点
    adressChangeStatus: false,
    color: '#898989',
    activeIndex: 0,
    addOldname: '',
    addOldname1: '',
    currentIndex: 0,
    showBj: false,
    showBj1: false,
    src1: '../../images/mz/5.png',
    src2: '../../images/mz/1.png',
    src3: '../../images/mz/6.png',
    src4: '../../images/mz/2.png',
    src5: '../../images/mz/7.png',
    src6: '../../images/mz/3.png',
    src7: '../../images/mz/8.png',
    src8: '../../images/mz/4.png',
    sexArr: [{
        value: '男',
        name: '男'
      },
      {
        value: '女',
        name: '女',
      }
    ],
    nameArr: [],
    // tab1老人信息
    oldInfo: [],
    villageOldChecked: false,
    // mzArr: ["汉族", "壮族", "满族", "回族", "苗族", "维吾尔族", "土家族", "彝族", "蒙古族", "藏族", "布依族", "侗族", "瑶族", "朝鲜族", "白族", "哈尼族",
    //   "哈萨克族", "黎族", "傣族", "畲族", "傈僳族", "仡佬族", "东乡族", "高山族", "拉祜族", "水族", "佤族", "纳西族", "羌族", "土族", "仫佬族", "锡伯族",
    //   "柯尔克孜族", "达斡尔族", "景颇族", "毛南族", "撒拉族", "布朗族", "塔吉克族", "阿昌族", "普米族", "鄂温克族", "怒族", "京族", "基诺族", "德昂族", "保安族",
    //   "俄罗斯族", "裕固族", "乌孜别克族", "门巴族", "鄂伦春族", "独龙族", "塔塔尔族", "赫哲族", "珞巴族"
    // ],
    mzArr: [
      "汉族",
      "满族",
      "蒙古族",
      "回族",
      "藏族",
      "维吾尔族",
      "苗族",
      "彝族",
      "壮族",
      "布依族",
      "侗族",
      "瑶族",
      "白族",
      "土家族",
      "哈尼族",
      "哈萨克族",
      "傣族",
      "黎族",
      "傈僳族",
      "佤族",
      "畲族",
      "高山族",
      "拉祜族",
      "水族",
      "东乡族",
      "纳西族",
      "景颇族",
      "柯尔克孜族",
      "土族",
      "达斡尔族",
      "仫佬族",
      "羌族",
      "布朗族",
      "撒拉族",
      "毛南族",
      "仡佬族",
      "锡伯族",
      "阿昌族",
      "普米族",
      "朝鲜族",
      "塔吉克族",
      "怒族",
      "乌孜别克族",
      "俄罗斯族",
      "鄂温克族",
      "德昂族",
      "保安族",
      "裕固族",
      "京族",
      "塔塔尔族",
      "独龙族",
      "鄂伦春族",
      "赫哲族",
      "门巴族",
      "珞巴族",
      "基诺族",
      "其他"
    ],
    ableStatus: ["完全自理", "半失能(部分自理)", "失能"], //老年人能力情况
    chooseAdressArr: [],
    disableLeval: ["一级", "二级", "三级", "四级"],
    moneyStatus: ["建档立卡贫困户", "一般家庭", "低保", "特困供养人员"],
    payMoney: ["5000元以下", "5000元~10000元", "10000元以上"],
    loveRequire: [{
        name: "生活照料"
      },
      {
        name: "生产帮助"
      },
      {
        name: "精神慰籍"
      },
      {
        name: "医疗保健"
      },
      {
        name: "权益维护"
      },
      {
        name: "安全监护"
      },
      {
        name: "文化娱乐"
      },
      {
        name: "紧急救助"
      },
      {
        name: "其它"
      },
    ],
    isHavePhoto: false,
    // tab2
    childInfo: [],
    childNumArr: [
      '0个', '1个', '2个', '3个', '3个以上'
    ],
    childSexArr: ['男', '女'],
    childIsout: ['是', '否'],
    childIsMArry: ['是', '否'],
    childTfTimes: ['0次', '1次', '2次及以上'],
    otherInfo: [],
    childNameNull: [false, false, false],
    childPhoneNull: [false, false, false],
    childOutNull: [false, false, false],
    ischildOutPlace: [false, false, false],
    ischildOutTime: [false, false, false],
    ischildMarry: [false, false, false],
    ischildOutReason: [false, false, false],
    ischildMarryName: [false, false, false],
    ischildMarryPhone: [false, false, false],
    //  tab3
    othersyrArr: ['是', '否'],
    othersyrSexArr: ['男', '女'],
    othersyrRelation: [
      "近亲属", "孙子女", "兄弟姐妹", "其他"
    ],
    othersyrIsout: ['是', '否'],
    region: ['', '', ''],
    othersyrIsMarry: ['是', '否'],
    othersyrTfTimes: [
      '0次', '1次', '2次及以上'
    ],
    // tab4
    regularsInfos: [],
    regularsInfo: [{
      visitMode: '',
      visitModeExt: '', //巡访其他
      visitCount: '',
      visitCountExt: '', // 频次的其他
    }],
    multiIndex: [0, 0, 0, 0, 0]
  },
  findNull() {
    if (!this.data.oldInfo[this.data.activeIndex].oldSexValue) {
      this.setData({
        oldSexNull: true,
        detail: 'sex'
      })
      return;
    }
    if (!this.data.oldInfo[this.data.activeIndex].nation) {
      this.setData({
        oldNationNull: true,
        detail: 'nation'
      })
      return;
    }
    this.formCheckCard();
    // this.tab1Change4();
    if (this.data.oldCardNull || this.data.oldCard60 || this.data.oldCardWrong || this.data.oldCard150 || this.data.oldCardhas) {
      this.setData({
        detail: 'idnumber'
      })
      return;
    }
    this.formCheckPhone();
    if (this.data.oldPhoneNull || this.data.oldPhoneNull1) {
      this.setData({
        detail: 'oldphone'
      })
      return;
    }
    // if (!this.data.oldInfo[this.data.activeIndex].phone) {
    //   this.setData({
    //     oldPhoneNull: true,
    //     detail: 'oldphone'
    //   })
    //   return;
    // }
    if (this.data.oldInfo[this.data.activeIndex].chooseAdressArr.length == 0) {
      this.setData({
        oldplaceNull: true,
        detail: 'place'
      })
      return;
    }
    if (this.data.oldInfo[this.data.activeIndex].chooseAdressArr1.length == 0) {
      this.setData({
        oldnowplaceNull: true,
        detail: 'nowplace'
      })
      return;
    }
    if (!this.data.oldInfo[this.data.activeIndex].oldMarry[0].checked && !this.data.oldInfo[this.data.activeIndex].oldMarry[1].checked && !this.data.oldInfo[this.data.activeIndex].oldMarry[2].checked && !this.data.oldInfo[this.data.activeIndex].oldMarry[3].checked) {
      this.setData({
        oldmarryNull: true,
        detail: 'marry'
      })
      return;
    }
    if (this.data.oldInfo[this.data.activeIndex].oldMarry[1].checked && !this.data.oldInfo[this.data.activeIndex].partnerName) {
      this.setData({
        oldisMarryName: true,
        detail: 'poname'
      })
      return;
    }
    if (this.data.oldInfo[this.data.activeIndex].oldMarry[1].checked && !this.data.oldInfo[this.data.activeIndex].partnerIdNumber) {
      this.setData({
        oldisMarryPhone: true,
        detail: 'pocard'
      })
      return;
    }
    if (!this.data.oldInfo[this.data.activeIndex].healthAyy[0].checked && !this.data.oldInfo[this.data.activeIndex].healthAyy[1].checked && !this.data.oldInfo[this.data.activeIndex].healthAyy[2].checked && !this.data.oldInfo[this.data.activeIndex].healthAyy[3].checked) {
      this.setData({
        oldHealth: true,
        detail: 'health'
      })
      return;
    }
    if (this.data.oldInfo[this.data.activeIndex].healthAyy[1].checked && this.data.oldInfo[this.data.activeIndex].disabilityAyyValue.length == 0) {
      this.setData({
        oldDisableType: true,
        detail: 'olacjType'
      })
      return;
    }
    if (this.data.oldInfo[this.data.activeIndex].healthAyy[1].checked && !this.data.oldInfo[this.data.activeIndex].disabilityLevel) {
      this.setData({
        oldDisableLeval: true,
        detail: 'olacjLeval'
      })
      return;
    }
    if (this.data.oldInfo[this.data.activeIndex].healthAyy[2].checked && this.data.oldInfo[this.data.activeIndex].sickTypeValue.length == 0) {
      this.setData({
        issickTypeNull: true,
        detail: 'sickType'
      })
      return;
    }
    if (!this.data.oldInfo[this.data.activeIndex].ability) {
      this.setData({
        oldnlNull: true,
        detail: 'oldnl'
      })
      return;
    }
    if (!this.data.oldInfo[this.data.activeIndex].livingCondition) {
      this.setData({
        oldjjNull: true,
        detail: 'oldjj'
      })
      return;
    }
    // 收入来源
    if (this.data.oldInfo[this.data.activeIndex].moneyFromAyyValue.length == 0) {
      this.setData({
        moneyFromOther: true,
        detail: 'oldsu'
      })
      return;
    }
    //其他收入来源
    if (this.data.oldInfo[this.data.activeIndex].moneyFromAyy[4].checked && !this.data.oldInfo[this.data.activeIndex].sourceOfIncomeExt) {
      this.setData({
        moneyOtherQtnull: true,
        detail: 'qtsr'
      })
      return;
    }
    //可支配收入
    if (!this.data.oldInfo[this.data.activeIndex].income) {
      this.setData({
        oldsndsrNull: true,
        detail: 'zpsr'
      })
      return;
    }
    if (this.data.oldInfo[this.data.activeIndex].familyHelpArrValue.length == 0) {
      this.setData({
        familyHelp: true,
        detail: 'jthelp'
      })
      return;
    }
    if (this.data.oldInfo[this.data.activeIndex].familyHelpArr[6].checked && !this.data.oldInfo[this.data.activeIndex].rescueStateExt) {
      this.setData({
        otherhelpQtnull: true,
        detail: 'qtjthelp'
      })
      return;
    }
    if (!this.data.oldInfo[this.data.activeIndex].loneArrValue) {
      this.setData({
        loneNull: true,
        detail: 'lone'
      })
      return;
    }
    if (this.data.oldInfo[this.data.activeIndex].liveStatusValue.length == 0) {
      this.setData({
        isliveNull: true,
        detail: 'liveStatus'
      })
      return;
    }
    if (this.data.oldInfo[this.data.activeIndex].liveStatus[4].checked && !this.data.oldInfo[this.data.activeIndex].accompanyExt) {
      this.setData({
        isliveQtNull: true,
        detail: 'qtliveStatus'
      })
      return;
    }
    if (this.data.oldInfo[this.data.activeIndex].oftenManValue.length == 0) {
      this.setData({
        isoftenManNull: true,
        detail: 'rczlr'
      })
      return;
    }
    if ((this.data.oldInfo[this.data.activeIndex].oftenMan[1].checked || this.data.oldInfo[this.data.activeIndex].oftenMan[2].checked || this.data.oldInfo[this.data.activeIndex].oftenMan[3].checked || this.data.oldInfo[this.data.activeIndex].oftenMan[4].checked || this.data.oldInfo[this.data.activeIndex].oftenMan[5].checked) && !this.data.oldInfo[this.data.activeIndex].mainLookName) {
      this.setData({
        lookAfterName: true,
        detail: 'mainzlrname'
      })
      return;
    }
    if ((this.data.oldInfo[this.data.activeIndex].oftenMan[1].checked || this.data.oldInfo[this.data.activeIndex].oftenMan[2].checked || this.data.oldInfo[this.data.activeIndex].oftenMan[3].checked || this.data.oldInfo[this.data.activeIndex].oftenMan[4].checked || this.data.oldInfo[this.data.activeIndex].oftenMan[5].checked) && !this.data.oldInfo[this.data.activeIndex].mainLookSexValue) {
      this.setData({
        lookAfterSex: true,
        detail: 'mainzlrsex'
      })
      return;
    }
    if ((this.data.oldInfo[this.data.activeIndex].oftenMan[1].checked || this.data.oldInfo[this.data.activeIndex].oftenMan[2].checked || this.data.oldInfo[this.data.activeIndex].oftenMan[3].checked || this.data.oldInfo[this.data.activeIndex].oftenMan[4].checked || this.data.oldInfo[this.data.activeIndex].oftenMan[5].checked) && !this.data.oldInfo[this.data.activeIndex].mainLookPhone) {
      this.setData({
        islookPhoneNull: true,
        detail: 'mainzlrphone'
      })
      return;
    }
    if (this.data.oldInfo[this.data.activeIndex].oftenMan[5].checked && !this.data.oldInfo[this.data.activeIndex].lookAfterExt) {
      this.setData({
        isoftenReaNull: true,
        detail: 'qtzlrgx'
      })
      return;
    }
    if (this.data.oldInfo[this.data.activeIndex].loveRequireValue.length == 0) {
      this.setData({
        isloveNull: true,
        detail: 'gafw'
      })
      return;
    }
    if (this.data.oldInfo[this.data.activeIndex].loveRequire[8].checked && !this.data.oldInfo[this.data.activeIndex].demandExt) {
      this.setData({
        isloveQtNull: true,
        detail: 'qtgafw'
      })
      return;
    }
    if (this.data.oldInfo[this.data.activeIndex].oldTypeValue.length == 0) {
      this.setData({
        isoldtypeNull: true,
        detail: 'lnrlb'
      })
      return;
    }
    if (!this.data.oldInfo[this.data.activeIndex].imgPath) {
      this.setData({
        isImgNull: true,
        detail: 'oldPhone'
      })
      return;
    }
    wx.showToast({
      title: '该卡片信息已填全',
      icon: 'none',
      duration: 2000,
    })
  },
  findNull2() {
    if (!this.data.childInfo[this.data.activeIndex].childrenNum) {
      this.setData({
        oldChildrenNull: true,
      })
      return;
    }
    if (this.data.childInfo[this.data.activeIndex].childrenNum == '0个') {
      wx.showToast({
        title: '该卡片信息已填全',
        icon: 'none',
        duration: 2000,
      })
    }
    if (this.data.childInfo[this.data.activeIndex].childrenNum == '1个') {
      this.childrenDing(0);
      if (this.childrenDing(0)) {
        wx.showToast({
          title: '该卡片信息已填全',
          icon: 'none',
          duration: 2000,
        })
      }
    }
    if (this.data.childInfo[this.data.activeIndex].childrenNum == '2个') {
      this.childrenDing(0);
      if (this.childrenDing(0)) {
        this.childrenDing(1)
        if (this.childrenDing(1)) {
          wx.showToast({
            title: '该卡片信息已填全',
            icon: 'none',
            duration: 2000,
          })
        }
      }
    }
    if (this.data.childInfo[this.data.activeIndex].childrenNum == '3个' || this.data.childInfo[this.data.activeIndex].childrenNum == '3个以上') {
      this.childrenDing(0);
      if (this.childrenDing(0)) {
        this.childrenDing(1)
        if (this.childrenDing(1)) {
          this.childrenDing(2);
          if (this.childrenDing(2)) {
            wx.showToast({
              title: '该卡片信息已填全',
              icon: 'none',
              duration: 2000,
            })
          }
        }
      }
    }
    // wx.showToast({
    //   title: '该卡片信息已填全',
    //   icon: 'none',
    //   duration: 2000,
    // })
  },
  childrenDing(Num) {
    if (!this.data.childInfo[this.data.activeIndex].Info[Num].name) {
      this.setData({
        ['childNameNull[' + Num + ']']: true,
        detail: 'name' + Num
      })
      return false;
    }
    if (!this.data.childInfo[this.data.activeIndex].Info[Num].sex) {
      this.setData({
        ['childSexNull[' + Num + ']']: true,
        detail: 'childrenSex' + Num
      })
      return false;
    }
    if (!this.data.childInfo[this.data.activeIndex].Info[Num].phone) {
      this.setData({
        ['childPhoneNull[' + Num + ']']: true,
        detail: 'childrenPhone' + Num
      })
      return false;
    }
    if (!this.data.childInfo[this.data.activeIndex].Info[Num].isHasGoOut) {
      this.setData({
        ['childOutNull[' + Num + ']']: true,
        detail: 'childrenOut' + Num
      })
      return false;
    }
    if (this.data.childInfo[this.data.activeIndex].Info[Num].isHasGoOut == '是' && !this.data.childInfo[this.data.activeIndex].Info[Num].outgoingCause) {
      this.setData({
        ['ischildOutReason[' + Num + ']']: true,
        detail: 'childrenReason' + Num
      })
      return false;
    }
    if (this.data.childInfo[this.data.activeIndex].Info[Num].isHasGoOut == '是' && !this.data.childInfo[this.data.activeIndex].Info[Num].outgoingplace) {
      this.setData({
        ['ischildOutPlace[' + Num + ']']: true,
        detail: 'childrenPlace' + Num
      })
      return false;
    }
    if (this.data.childInfo[this.data.activeIndex].Info[Num].isHasGoOut == '是' && !this.data.childInfo[this.data.activeIndex].Info[Num].outgoingTime) {
      this.setData({
        ['ischildOutTime[' + Num + ']']: true,
        detail: 'childrenoutTime' + Num
      })
      return false;
    }
    if (!this.data.childInfo[this.data.activeIndex].Info[Num].isHasPartner) {
      this.setData({
        ['ischildMarry[' + Num + ']']: true,
        detail: 'childrenhasPar' + Num
      })
      return false;
    }
    if (this.data.childInfo[this.data.activeIndex].Info[Num].isHasPartner == '是' && !this.data.childInfo[this.data.activeIndex].Info[Num].name2) {
      this.setData({
        ['ischildMarryName[' + Num + ']']: true,
        detail: 'childrenParname' + Num
      })
      return false;
    }
    if (this.data.childInfo[this.data.activeIndex].Info[Num].isHasPartner == '是' && !this.data.childInfo[this.data.activeIndex].Info[Num].phone2) {
      this.setData({
        ['ischildMarryPhone[' + Num + ']']: true,
        detail: 'childrenParphone' + Num
      })
      return false;
    }
    if (!this.data.childInfo[this.data.activeIndex].Info[Num].visit) {
      this.setData({
        ['ischildvisit[' + Num + ']']: true,
        detail: 'childrenvisit' + Num
      })
      return false;
    }
    return true;
  },
  findNull3() {
    if (!this.data.otherInfo[this.data.activeIndex].isHasOther) {
      this.setData({
        isothersyrNull: true
      })
      return;
    }
    if (this.data.otherInfo[this.data.activeIndex].isHasOther == '是') {
      if (!this.data.otherInfo[this.data.activeIndex].Info.name) {
        this.setData({
          isothersyrName: true,
          detail: 'othername'
        })
        return;
      }
      if (!this.data.otherInfo[this.data.activeIndex].Info.sex) {
        this.setData({
          isothersyrSex: true,
          detail: 'othersex'
        })
        return;
      }
      if (!this.data.otherInfo[this.data.activeIndex].Info.phone) {
        this.setData({
          isothersyrPhone: true,
          detail: 'otherphone'
        })
        return;
      }
      if (!this.data.otherInfo[this.data.activeIndex].Info.relation) {
        this.setData({
          isothersyrgx: true,
          detail: 'otherrela'
        })
        return;
      }
      if (this.data.otherInfo[this.data.activeIndex].Info.relation == '其他' && !this.data.otherInfo[this.data.activeIndex].Info.relationExt) {
        this.setData({
          isothersyRelation: true,
          detail: 'otherqtrela'
        })
        return;
      }
      if (!this.data.otherInfo[this.data.activeIndex].Info.isHasGoOut) {
        this.setData({
          isothersyout: true,
          detail: 'isotherout'
        })
        return;
      }
      if (this.data.otherInfo[this.data.activeIndex].Info.isHasGoOut == '是' && !this.data.otherInfo[this.data.activeIndex].Info.outgoingCause) {
        this.setData({
          isOutReason: true,
          detail: 'isotheroutreal'
        })
        return;
      }
      if (this.data.otherInfo[this.data.activeIndex].Info.isHasGoOut == '是' && !this.data.otherInfo[this.data.activeIndex].Info.outgoingplace) {
        this.setData({
          isOutPlace: true,
          detail: 'isotheroutplace'
        })
        return;
      }
      if (this.data.otherInfo[this.data.activeIndex].Info.isHasGoOut == '是' && !this.data.otherInfo[this.data.activeIndex].Info.outgoingTime) {
        this.setData({
          isOutTime: true,
          detail: 'isotherouttime'
        })
        return;
      }
      if (!this.data.otherInfo[this.data.activeIndex].Info.isHasPartner) {
        this.setData({
          ispartnerNull: true,
          detail: 'isptherpartner'
        })
        return;
      }
      if (this.data.otherInfo[this.data.activeIndex].Info.isHasPartner == '是' && !this.data.otherInfo[this.data.activeIndex].Info.name2) {
        this.setData({
          isMarryName: true,
          detail: 'isotherpartnername'
        })
        return;
      }
      if (this.data.otherInfo[this.data.activeIndex].Info.isHasPartner == '是' && !this.data.otherInfo[this.data.activeIndex].Info.phone2) {
        this.setData({
          isMarryPhone: true,
          detail: 'isotherpartnerphone'
        })
        return;
      }
      if (!this.data.otherInfo[this.data.activeIndex].Info.visit) {
        this.setData({
          isothervisit: true,
          detail: 'isothervisit'
        })
        return;
      }
    }
    wx.showToast({
      title: '该卡片信息已填全',
      icon: 'none',
      duration: 2000,
    })
  },
  findNull4() {
    console.log(this.data.regularsInfos[this.data.activeIndex])
    if (!this.data.regularsInfos[this.data.activeIndex].visitMode[0].checked && !this.data.regularsInfos[this.data.activeIndex].visitMode[1].checked && !this.data.regularsInfos[this.data.activeIndex].visitMode[2].checked) {
      this.setData({
        visitWaysFromOther: true
      })
      return;
    }
    if (this.data.regularsInfos[this.data.activeIndex].visitMode[2].checked && !this.data.regularsInfos[this.data.activeIndex].visitModeExt) {
      this.setData({
        isVisittimesnull: true
      })
      return;
    }
    if (!this.data.regularsInfos[this.data.activeIndex].visitCount[0].checked && !this.data.regularsInfos[this.data.activeIndex].visitCount[1].checked && !this.data.regularsInfos[this.data.activeIndex].visitCount[2].checked && !this.data.regularsInfos[this.data.activeIndex].visitCount[3].checked && !this.data.regularsInfos[this.data.activeIndex].visitCount[4].checked) {
      this.setData({
        visitTimesFromOther: true
      })
      return;
    }
    if (this.data.regularsInfos[this.data.activeIndex].visitCount[4].checked && !this.data.regularsInfos[this.data.activeIndex].visitCountExt) {
      this.setData({
        isVisittimesQtnull: true
      })
      return;
    }
    wx.showToast({
      title: '该卡片信息已填全',
      icon: 'none',
      duration: 2000,
    })
  },
  // 左侧点击
  turn(e) {
    let index = e.currentTarget.dataset.index
    this.setData({
      currentIndex: index
    })
  },
  addOldName(e) {
    console.log(e,'我是添加的姓名1111')
    this.setData({
      addOldname: e.detail.value
    })
    console.log(e.detail.value,'我是添加的姓名222222')
  },
  // addOldNameBlur(e){
  //   this.setData({
  //     addOldname: e.detail.value
  //   })
  // },
  addOldName1(e) {
    this.setData({
      addOldname1: e.detail.value
    })
  },
  qx() {
    wx.switchTab({
      url: '/pages/index/index',
    })
  },
  qx1() {
    this.setData({
      showBj1: false
    })
  },
  switchNameTab(e) {
    this.setData({
      activeIndex: e.currentTarget.dataset.index,
      currentIndex: 0,
    })
    this.AllFalse();
  },
  goShibai() {
    this.setData({
      shiBaiShow: true
    })
  },
  shiBaiClose() {
    this.setData({
      shiBaiShow: false
    })
  },
  formSubmit(e) {
    console.log(e.detail.value.oldName,'我是点击确定之后的名字')
    let han = /^[\u4e00-\u9fa5]+$/;
    if (e.detail.value.oldName == '' || e.detail.value.oldName == null) {
      wx.showModal({
        showCancel: false,
        content: '老人姓名不可以为空哦'
      })
      return false
    }
    if (!han.test(e.detail.value.oldName)) {
      wx.showModal({
        showCancel: false,
        content: '您输入的内容不是汉字哦'
      })
      return false;
    };
    if (e.detail.value.oldName.length < 2) {
      wx.showModal({
        showCancel: false,
        content: '老人姓名不可以少于两个字哦'
      })
      return false
    }
    wx.showLoading();
    this.setData({
      showBj: false,
      activeIndex: 0
    })
    wx.request({
      url: util.globalData.publicUrl + '/wxinfo/add',
      method: "post",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      data: {
        name: e.detail.value.oldName
      },
      success: (res) => {
        if (res.data.code == 0) {
          let name = 'oldInfo[' + this.data.activeIndex + '].name'
          console.log(res.data.data.name)
          console.log(e.detail.value.oldName,'我是老人输入的姓名')
          this.setData({
            nameArr: this.data.nameArr.concat(res.data.data),
            familyFid: res.data.data.fid,
            [name]: res.data.data.name,
            oldInfo: this.data.oldInfo
          })
          console.log(this.data.nameArr,'我是老人姓名的数组 显示最上方的姓名')
          wx.hideLoading();
        }
      }
    })
  },
  AllFalse() {
    this.setData({
      oldSexNull: false,
      oldNationNull: false,
      oldplaceNull: false,
      oldnowplaceNull: false,
      oldmarryNull: false,
      oldCardNull: false,
      oldCardWrong: false,
      oldCard60: false,
      oldCard100: false,
      oldCard150: false,
      oldCardhas: false,
      oldPhoneNull: false,
      oldisMarryName: false,
      oldisMarryPhone: false,
      oldisMarryPhoneGs: false,
      oldHealth: false,
      oldDisableType: false,
      oldDisableLeval: false,
      issickTypeNull: false,
      oldnlNull: false,
      oldjjNull: false,
      oldsndsrNull: false,
      loneNull: false,
      moneyFromOther: false,
      moneyOtherQtnull: false,
      familyHelp: false,
      isliveNull: false,
      isoftenManNull: false,
      isloveNull: false,
      isoldtypeNull: false,
      oldisMarryPhone: false,
      oldisMarryPhoneGs: false,
      moneyOtherQtnull: false,
      otherhelpQtnull: false,
      isliveQtNull: false,
      isoftenReaNull: false,
      lookAfterName: false,
      islookPhoneNull: false,
      isloveQtNull: false,
      childNameNull: [false, false, false],
      childSexNull: [false, false, false],
      childPhoneNull: [false, false, false],
      ischildOutReason: [false, false, false],
      ischildMarryName: [false, false, false],
      ischildMarryPhone: [false, false, false],
      ischildvisit: [false, false, false],
      isothersyrName: false,
      isothersyrPhone: false,
      isothersyRelation: false,
      isOutReason: false,
      isMarryName: false,
      isMarryPhone: false,
      visitWaysFromOther: false,
      isVisittimesnull: false,
      isVisittimesQtnull: false,
      oldChildrenNull: false,
      childSexNull: [false, false, false],
      childOutNull: [false, false, false],
      ischildOutPlace: [false, false, false],
      ischildOutTime: [false, false, false],
      ischildMarry: [false, false, false],
      ischildvisit: [false, false, false],
      isothersyrNull: false,
      isothersyrSex: false,
      isothersyrgx: false,
      isothersyout: false,
      isOutPlace: false,
      isOutTime: false,
      ispartnerNull: false,
      isothervisit: false,
      visitTimesFromOther: false
    })
  },
  formSubmit1(e) {
    console.log(e.detail.value.oldName1)
    let han = /^[\u4e00-\u9fa5]+$/;
    if (e.detail.value.oldName1 == '' || e.detail.value.oldName1 == null) {
      wx.showModal({
        showCancel: false,
        content: '老人姓名不可以为空哦'
      })
      return false
    }
    if (!han.test(e.detail.value.oldName1)) {
      wx.showModal({
        showCancel: false,
        content: '您输入的内容不是汉字哦'
      })
      return false;
    };
    if (e.detail.value.oldName1.length < 2) {
      wx.showModal({
        showCancel: false,
        content: '老人姓名不可以少于两个字哦'
      })
      return false
    }
    this.AllFalse();
    wx.showLoading();
    this.setData({
      showBj1: false,
      currentIndex: 0
    })
    wx.request({
      url: util.globalData.publicUrl + '/wxinfo/add',
      method: "post",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      data: {
        name: e.detail.value.oldName1,
        fid: this.data.familyFid
      },
      success: (res) => {
        if (res.data.code == 0) {
          this.data.oldInfo.push({
            name: e.detail.value.oldName1,
            oldSex: [{
              name: '男'
            }, {
              name: '女'
            }],
            oldSexValue: '',
            isSameWithAddress: [{
              name: '现居地址与户籍地址一致'
            }],
            addressExt: '',
            nativePlaceExt: '',
            nation: '', //民族
            idNumber: '', //身份证号
            phone: '',
            chooseAdressArr: [],
            chooseAdressArr1: [],
            oldMarry: [{
              name: "未婚"
            }, {
              name: "已婚"
            }, {
              name: "离异"
            }, {
              name: "丧偶"
            }],
            oldMarryValue: '',
            partnerName: '',
            partnerIdNumber: '',
            healthAyy: [{
              name: "健康",
              disabled: false
            }, {
              name: "残疾",
              disabled: false
            }, {
              name: "患重特大疾病",
              disabled: false
            }, {
              name: "老年人慢性病",
              disabled: false
            }],
            healthAyyValue: [],
            disabilityAyy: [{
              name: "视力残疾"
            }, {
              name: "听力残疾"
            }, {
              name: "言语残疾"
            }, {
              name: "肢体残疾"
            }, {
              name: "智力残疾"
            }, {
              name: "精神残疾"
            }, {
              name: "多重残疾"
            }],
            disabilityAyyValue: [],
            disabilityLevel: '', //残疾人类别
            sickType: [{
              name: "重大器官类疾病"
            }, {
              name: "心脑血管类疾病"
            }, {
              name: "神经与代谢类疾病"
            }, {
              name: "肢体与病毒类疾病"
            }, {
              name: "恶性肿瘤"
            }],
            sickTypeValue: [],
            ability: '', //老年人能力情况
            livingCondition: '', //生活经济情况
            moneyFromAyy: [{
              name: "家庭经营性收入"
            }, {
              name: "工资性收入"
            }, {
              name: "转移性收入"
            }, {
              name: "财产性收入"
            }, {
              name: "其它"
            }],
            moneyFromAyyValue: [],
            income: '',
            sourceOfIncomeExt: '', //其他收入情况
            familyHelpArr: [{
              name: "低保"
            }, {
              name: "建档立卡贫困户"
            }, {
              name: "医疗救助"
            }, {
              name: "临时救助"
            }, {
              name: "老年人福利津贴"
            }, {
              name: "残疾人两项补贴（或一项补贴)"
            }, {
              name: "其他救助"
            }],
            familyHelpArrValue: [],
            rescueStateExt: '', //其他救助
            loneArr: [{
              name: "是"
            }, {
              name: "否"
            }],
            loneArrValue: '',
            liveStatus: [{
              name: "无人陪伴居住",
              disabled: false
            }, {
              name: "配偶",
              disabled: false
            }, {
              name: "近亲属",
              disabled: false
            }, {
              name: "未成年孙子女",
              disabled: false
            }, {
              name: "其他情形",
              disabled: false
            }],
            liveStatusValue: [],
            accompanyExt: '', //陪伴居住其他
            oftenMan: [{
              name: "无人照料",
              disabled: false
            }, {
              name: "近亲属",
              disabled: false
            }, {
              name: "配偶",
              disabled: false
            }, {
              name: "邻里互助",
              disabled: false
            }, {
              name: "购买养老服务",
              disabled: false
            }, {
              name: "其他人员",
              disabled: false
            }],
            oftenManValue: [],
            lookAfterExt: '', //其他日常生活照料人关系
            mainLookName: '', //日常生活照料人姓名
            mainLookSex: [{
              name: "男"
            }, {
              name: "女"
            }],
            mainLookSexValue: '',
            mainLookPhone: '', //
            loveRequire: [{
                name: "生活照料"
              },
              {
                name: "生产帮助"
              },
              {
                name: "精神慰籍"
              },
              {
                name: "医疗保健"
              },
              {
                name: "权益维护"
              },
              {
                name: "安全监护"
              },
              {
                name: "文化娱乐"
              },
              {
                name: "紧急救助"
              },
              {
                name: "其它"
              },
            ],
            loveRequireValue: [],
            oldType: [{
              name: "农村留守老年人",
              disable: false,
              checked: false
            }, {
              name: "分散供养特困老年人",
              disable: false,
              checked: false
            }, {
              name: "计划生育特殊家庭老人",
              disable: false,
              checked: false
            }, {
              name: "空巢老年人",
              disable: false,
              checked: false
            }, {
              name: "独居老年人",
              disable: false,
              checked: false
            }, {
              name: "重残老人",
              disable: false,
              checked: false
            }, {
              name: "高龄老人",
              disable: false,
              checked: false
            }, {
              name: "居家老年人",
              disable: false,
              checked: false
            }],
            oldTypeValue: [],
            isHavePhoto: false,
            imgPath: '',
            photoAndLocation: '',
          })
          this.data.childInfo.push({
            childrenNum: '',
            Info: []
          })
          this.data.otherInfo.push({
            isHasOther: '',
            Info: {
              name: '', // 其他赡养人姓名,
              sex: '', //其他赡养人性别
              phone: '', //其他赡养人电话,
              relation: '', //与被赡养人关系 如果选了其他也是必填 单选
              relationExt: '', //与被赡养人关系--其他
              isHasGoOut: '', //是否外出
              outgoingCause: '', //外出原因
              outgoingplace: '', // 外出地点
              outgoingTime: '', // 最后一次离家时间
              isHasPartner: '', //是否有配偶  当是的时候  子女配偶姓名 子女配偶电话 必填   0:是  1：否
              name2: '',
              phone2: '',
              visit: '', //平均一年探望次数
              othersyrSexArr: [{
                  name: '男',
                  checked: false
                },
                {
                  name: '女',
                  checked: false
                },
              ]
            }
          })
          this.data.regularsInfos.push({
            visitMode: [{
              name: '电话问候',
              checked: false
            }, {
              name: '上门巡访',
              checked: false
            }, {
              name: '其它',
              checked: false
            }],
            visitModeExt: '', //巡访其他
            visitCount: [{
              name: '每天',
              checked: false
            }, {
              name: '每周',
              checked: false
            }, {
              name: '每月',
              checked: false
            }, {
              name: '每季',
              checked: false
            }, {
              name: '其它',
              checked: false
            }],
            visitCountExt: '', // 频次的其他
          })
          this.data.regularsInfo.push({
            visitMode: '',
            visitModeExt: '', //巡访其他
            visitCount: '',
            visitCountExt: '', // 频次的其他
          })
          this.setData({
            activeIndex: this.data.nameArr.concat(res.data.data).length - 1,
            nameArr: this.data.nameArr.concat(res.data.data),
            oldInfo: this.data.oldInfo,
            childInfo: this.data.childInfo,
            otherInfo: this.data.otherInfo,
            regularsInfos: this.data.regularsInfos,
            regularsInfo: this.data.regularsInfo
          })
          //this.getSelfLocation();
        }
        wx.hideLoading();
      }
    })
  },
  // 删除上方名字
  deleteName(e) {
    let index = e.currentTarget.dataset.index
    console.log(index);
    wx.showModal({
      showCancel: true,
      content: '确认删除该条记录吗',
      success: (res) => {
        if (res.cancel) {
          //点击取消,默认隐藏弹框
        } else {
          wx.request({
            url: util.globalData.publicUrl + '/wxinfo/delete',
            method: "get",
            header: {
              appletsId: wx.getStorageSync('openId')
            },
            data: {
              id: e.currentTarget.dataset.item._id
            },
            success: (res) => {
              console.log(res)
              if (res.data.code == 0) {
                this.data.nameArr.splice(index, 1)
                this.data.oldInfo.splice(index, 1)
                this.data.otherInfo.splice(index, 1)
                this.data.childInfo.splice(index, 1)
                this.data.regularsInfo.splice(index, 1)
                this.data.regularsInfos.splice(index, 1)
                this.setData({
                  oldInfo: this.data.oldInfo,
                  nameArr: this.data.nameArr,
                  otherInfo: this.data.otherInfo,
                  childInfo: this.data.childInfo,
                  regularsInfo: this.data.regularsInfo,
                  regularsInfos: this.data.regularsInfos,
                })
                if ((this.data.activeIndex == index && this.data.activeIndex > 0) || (this.data.activeIndex > index && this.data.activeIndex > 0)) {
                  this.setData({
                    activeIndex: this.data.activeIndex - 1
                  })
                }
                if (this.data.nameArr.length == 0) {
                  wx.switchTab({
                    url: '/pages/index/index',
                  })
                }
              }
            }
          })
        }
      }
    })
  },
  // 添加带fid的老人
  addFamilyOldman() {
    this.setData({
      showBj1: true,
      addOldname1: ''
    })
  },
  goOcr() {
    console.log(this.data.nameArr)
    isonShow = true;
    wx.showLoading({
      title: '加载中',
    })
    let _this = this
    wx.request({
      url: util.globalData.publicUrl + '/applet/getToken',
      method: "GET",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      success: (res) => {
        console.log(res.data, "0000");
        if (res.data.data.status == 200) {
          let token = res.data.data.token;
          if (token) {
            wx.chooseImage({
              count: 1, // 默认9
              sizeType: ['compressed'], // 可以指定是原图还是压缩图，默认二者都有
              sourceType: ['camera'], // 可以指定来源是相册还是相机，默认二者都有
              success: function (res) {
                // 拿文件转换base64
                const app = getApp()
                app.globalData.id = '-1'
                wx.getFileSystemManager().readFile({
                  filePath: res.tempFilePaths[0],
                  encoding: 'base64',
                  success: res1 => {
                    let img = 'data:image/png;base64,' + res1.data
                    console.log(img, 'read了啥')
                    wx.request({
                      url: 'https://aip.baidubce.com/rest/2.0/ocr/v1/idcard?access_token=' + token,
                      method: 'POST',
                      header: {
                        'content-type': 'application/x-www-form-urlencoded'
                      },
                      data: {
                        id_card_side: 'front',
                        image: img
                      },
                      dataType: 'json',
                      success: (e) => {
                        console.log(e, "ocr返回数据了么");
                        const app = getApp()
                        app.globalData.id = '-2'
                        // 扫描后赋值 
                        // _this.setData({
                        //   showBj: false,
                        //   fid: _this.data.familyFid
                        // })
                        if (e.data.idcard_number_type == 1) {
                          console.log(e.data.words_result, '我是ocr识别出来的内容')
                          if (_this.data.oldInfo[_this.data.activeIndex].name == e.data.words_result['姓名'].words) {
                            var myDate = new Date();
                            var month = myDate.getMonth() + 1;
                            var day = myDate.getDate();
                            var age = myDate.getFullYear() - e.data.words_result['公民身份号码'].words.substring(6, 10) - 1;
                            if (e.data.words_result['公民身份号码'].words.substring(10, 12) < month || e.data.words_result['公民身份号码'].words.substring(10, 12) == month && e.data.words_result['公民身份号码'].words.substring(12, 14) <= day) {
                              age++;
                            }
                            if (age >= 60) {
                              let idNumber = 'oldInfo[' + _this.data.activeIndex + '].idNumber'
                              let name = 'oldInfo[' + _this.data.activeIndex + '].name'
                              let nation = 'oldInfo[' + _this.data.activeIndex + '].nation'
                              let data = _this.data.oldInfo[_this.data.activeIndex].oldSex.map(v => {
                                if (v.name == e.data.words_result['性别'].words) {
                                  return {
                                    name: v.name,
                                    checked: true
                                  }
                                }
                                return {
                                  name: v.name,
                                  checked: false
                                }
                              })
                              let oldSex = 'oldInfo[' + _this.data.activeIndex + '].oldSex'
                              _this.setData({
                                [idNumber]: e.data.words_result['公民身份号码'].words,
                                [name]: e.data.words_result['姓名'].words,
                                [nation]: e.data.words_result['民族'].words + '族',
                                [oldSex]: data
                              })
                              _this.SubmitOldmanInfo({
                                id: _this.data.nameArr[_this.data.activeIndex]._id,
                                idNumber: e.data.words_result['公民身份号码'].words
                              })
                              _this.SubmitOldmanInfo({
                                id: _this.data.nameArr[_this.data.activeIndex]._id,
                                name: e.data.words_result['姓名'].words
                              })
                              _this.SubmitOldmanInfo({
                                id: _this.data.nameArr[_this.data.activeIndex]._id,
                                nation: e.data.words_result['民族'].words + '族'
                              })
                              _this.SubmitOldmanInfo({
                                id: _this.data.nameArr[_this.data.activeIndex]._id,
                                sex: e.data.words_result['性别'].words
                              })
                            } else {
                              wx.showModal({
                                showCancel: false,
                                content: '当前老人不满60周岁'
                              })
                            }
                          } else {
                            wx.showModal({
                              showCancel: false,
                              content: '与当前老人名字不一致,请重新扫描'
                            })
                          }
                        } else {
                          wx.showModal({
                            showCancel: false,
                            content: '身份证OCR识别失败'
                          })
                        }
                      },
                      complete: (e) => {
                        wx.hideLoading();
                      }
                    })
                  },
                  // 错误信息
                  fail: console.error
                })
              },
              fail: function () {

              },
              complete: function () {
                wx.hideLoading();
              }
            })
          } else {
            wx.showToast({
              title: '身份证识别失败,token失效',
              icon: 'none',
              duration: 2000,
            })
          }
        }
      },
    })
  },
  // tab1Change1(e) {
  //   let name = 'oldInfo[' + this.data.activeIndex + '].name'
  //   this.setData({
  //     [name]: e.detail.value
  //   })
  //   this.SubmitOldmanInfo({
  //     id: this.data.nameArr[this.data.activeIndex]._id,
  //     name: e.detail.value
  //   })
  // },
  // 性别单选
  tab1Change2(e) {
    let data = this.data.oldInfo[this.data.activeIndex].oldSex.map(v => {
      if (v.name == e.detail.value) {
        return {
          name: v.name,
          checked: true
        }
      }
      return {
        name: v.name,
        checked: false
      }
    })
    let oldSex = 'oldInfo[' + this.data.activeIndex + '].oldSex'
    let oldSex1 = 'oldInfo[' + this.data.activeIndex + '].oldSexValue'
    this.setData({
      [oldSex]: data,
      [oldSex1]: e.detail.value,
      oldSexNull: false
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      sex: e.detail.value
    })
  },
  // 民族选择
  tab1Change3: function (e) {
    let nation = 'oldInfo[' + this.data.activeIndex + '].nation'
    this.setData({
      [nation]: this.data.mzArr[e.detail.value],
      oldNationNull: false,
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      nation: this.data.mzArr[e.detail.value]
    })
  },
  // 身份证号
  tab1Change4: function (e) {
    // let number;
    // if (e) {
    // number = e.detail.value
    let idNumber = 'oldInfo[' + this.data.activeIndex + '].idNumber'
    this.setData({
      [idNumber]: e.detail.value
    })
    // } else {
    //   number = this.data.oldInfo[this.data.activeIndex].idNumber
    // }
    // wx.request({
    //   url: util.globalData.publicUrl + '/wxinfo/listByNumber',
    //   method: "get",
    //   header: {
    //     appletsId: wx.getStorageSync('openId')
    //   },
    //   data: {
    //     number: e.detail.value
    //   },
    //   success: (res) => {
    //     if (res.data.code == 1) {
    //       console.log('身份证已存在')
    //       this.setData({
    //         oldCardhas: true
    //       })
    //     } else {
    //       console.log('身份证不存在')
    //       this.setData({
    //         oldCardhas: false
    //       })
          this.formCheckCard();
          if (!this.data.oldCardNull && !this.data.oldCard60 && !this.data.oldCardWrong && !this.data.oldCard150 && !this.data.oldCardhas) {
            this.SubmitOldmanInfo({
              id: this.data.nameArr[this.data.activeIndex]._id,
              idNumber: e.detail.value
            })
          }
        // }
      // }
    // })
  },
  // 联系电话
  tab1Change5: function (e) {
    let phone = 'oldInfo[' + this.data.activeIndex + '].phone'
    this.setData({
      [phone]: e.detail.value
    })
    this.formCheckPhone();
    if (!this.data.oldPhoneNull && !this.data.oldPhoneNull1) {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        phone: e.detail.value
      })
    }
  },
  showAdressShow() {
    this.chooseAdress();
    this.setData({
      multiIndex: [0, 0, 0, 0, 0],
      value: [0, 0, 0, 0, 0],
      showAdressBox: true
    })
  },
  showAdressShow1() {
    if (!this.data.oldInfo[this.data.activeIndex].isSameWithAddress[0].checked) {
      this.chooseAdress();
      this.setData({
        multiIndex: [0, 0, 0, 0, 0],
        value: [0, 0, 0, 0, 0],
        showAdressBox1: true
      })
    }
  },
  chooseAdress() {
    wx.request({
      url: util.globalData.publicUrl + '/civilregionalism/deptList',
      method: "get",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      success: (res) => {
        let newdata = [];
        let j;
        res.data.data.forEach(item => {
          newdata.push(item);
        });
        for (var i = 0; i < newdata.length; i++) {
          if (newdata[i].CIVILREGIONALISMNAME == '吉林省') {
            j = i;
          }
        }
        newdata.unshift(newdata[j])
        newdata.splice(j + 1, 1);
        this.setData({
          provinceArr: newdata,
        })
        // if(!this.data.adressChangeStatus){
        this.chooseAdress2();
        // }
      },
    })
  },
  chooseAdress2(fid) {
    wx.showLoading({
      title: '加载中',
      mask: true
    })
    let mid;
    if (fid) {
      mid = fid
    } else {
      console.log(this.data.provinceArr[this.data.multiIndex[1]])
      if (!this.data.provinceArr[this.data.multiIndex[1]]) {
        wx.hideLoading()
      } else {
        mid = this.data.provinceArr[this.data.multiIndex[1]].CIVILREGIONALISMID
      }
    }
    let newdata = [];
    wx.request({
      url: util.globalData.publicUrl + '/civilregionalism/deptList',
      method: "get",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      data: {
        fid: mid
      },
      success: (res) => {
        res.data.data.forEach(item => {
          newdata.push(item)
        });
        this.setData({
          cityArr: newdata
        })
        // if(!this.data.adressChangeStatus){
        this.chooseAdress3();
        // }
      }
    })
  },
  // 查县区的信息
  chooseAdress3(fid) {
    wx.showLoading({
      title: '加载中',
      mask: true
    })
    let mid;
    if (fid) {
      mid = fid
    } else {
      if (!this.data.cityArr[this.data.multiIndex[2]]) {
        wx.hideLoading()
      } else {
        mid = this.data.cityArr[this.data.multiIndex[2]].CIVILREGIONALISMID
      }
    }
    let newdata = [];
    wx.request({
      url: util.globalData.publicUrl + '/civilregionalism/deptList',
      method: "get",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      data: {
        fid: mid
      },
      success: (res) => {
        res.data.data.forEach(item => {
          newdata.push(item)
        });
        this.setData({
          areaArr: newdata
        })
        if (newdata.length == 0) {
          wx.hideLoading()
          this.setData({
            province: this.data.provinceArr[this.data.multiIndex[0]].CIVILREGIONALISMNAME,
            city: this.data.cityArr[this.data.multiIndex[1]].CIVILREGIONALISMNAME,
            area: '',
            town: '',
            village: '',
            provinceCode: this.data.provinceArr[this.data.multiIndex[0]].CIVILREGIONALISMCODE,
            cityCode: this.data.cityArr[this.data.multiIndex[1]].CIVILREGIONALISMCODE,
            areaCode: '',
            townCode: '',
            villageCode: '',
            areaArr: [],
            townArr: [],
            villageArr: [],
          })
        } else {
          // if(!this.data.adressChangeStatus){
          this.chooseAdress4();
          // }
        }
      }
    })
  },
  // 查镇的信息
  chooseAdress4(fid) {
    wx.showLoading({
      title: '加载中',
      mask: true
    })
    let mid;
    if (fid) {
      mid = fid
    } else {
      console.log(this.data.areaArr[this.data.multiIndex[3]])
      if (!this.data.areaArr[this.data.multiIndex[3]]) {
        wx.hideLoading();
      } else {
        mid = this.data.areaArr[this.data.multiIndex[3]].CIVILREGIONALISMID
      }
    }
    let newdata = [];
    wx.request({
      url: util.globalData.publicUrl + '/civilregionalism/deptList',
      method: "get",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      data: {
        fid: mid
      },
      success: (res) => {
        res.data.data.forEach(item => {
          newdata.push(item)
        });
        this.setData({
          townArr: newdata
        })
        if (newdata.length == 0) {
          wx.hideLoading();
          this.setData({
            province: this.data.provinceArr[this.data.multiIndex[0]].CIVILREGIONALISMNAME,
            city: this.data.cityArr[this.data.multiIndex[1]].CIVILREGIONALISMNAME,
            area: this.data.areaArr[this.data.multiIndex[2]].CIVILREGIONALISMNAME,
            town: '',
            village: '',
            townArr: [],
            villageArr: [],
            provinceCode: this.data.provinceArr[this.data.multiIndex[0]].CIVILREGIONALISMCODE,
            cityCode: this.data.cityArr[this.data.multiIndex[1]].CIVILREGIONALISMCODE,
            areaCode: this.data.areaArr[this.data.multiIndex[2]].CIVILREGIONALISMCODE,
            townCode: '',
            villageCode: ''
          })
        } else {
          // if(!this.data.adressChangeStatus){
          this.chooseAdress5();
          // }
        }
      }
    })
  },
  chooseAdress5(fid) {
    wx.showLoading({
      title: '加载中',
      mask: true
    })
    let mid;
    if (fid) {
      mid = fid
    } else {
      console.log(this.data.townArr[this.data.multiIndex[4]])
      if (!this.data.townArr[this.data.multiIndex[4]]) {
        wx.hideLoading()
      } else {
        mid = this.data.townArr[this.data.multiIndex[4]].CIVILREGIONALISMID
      }
    }
    let newdata = [];
    wx.request({
      url: util.globalData.publicUrl + '/civilregionalism/deptList',
      method: "get",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      data: {
        fid: mid
      },
      success: (res) => {
        res.data.data.forEach(item => {
          newdata.push(item)
        });
        this.setData({
          villageArr: newdata
        })
        if (newdata.length == 0) {
          wx.hideLoading()
          this.setData({
            villageArr: [],
            province: this.data.provinceArr[this.data.multiIndex[0]].CIVILREGIONALISMNAME,
            city: this.data.cityArr[this.data.multiIndex[1]].CIVILREGIONALISMNAME,
            area: this.data.areaArr[this.data.multiIndex[2]].CIVILREGIONALISMNAME,
            town: this.data.townArr[this.data.multiIndex[3]].CIVILREGIONALISMNAME,
            village: '',
            provinceCode: this.data.provinceArr[this.data.multiIndex[0]].CIVILREGIONALISMCODE,
            cityCode: this.data.cityArr[this.data.multiIndex[1]].CIVILREGIONALISMCODE,
            areaCode: this.data.areaArr[this.data.multiIndex[2]].CIVILREGIONALISMCODE,
            townCode: this.data.townArr[this.data.multiIndex[3]].CIVILREGIONALISMCODE,
            villageCode: ''
          })
        } else {
          wx.hideLoading()
          this.setData({
            province: this.data.provinceArr[this.data.multiIndex[0]].CIVILREGIONALISMNAME,
            city: this.data.cityArr[this.data.multiIndex[1]].CIVILREGIONALISMNAME,
            area: this.data.areaArr[this.data.multiIndex[2]].CIVILREGIONALISMNAME,
            town: this.data.townArr[this.data.multiIndex[3]].CIVILREGIONALISMNAME,
            village: this.data.villageArr[this.data.multiIndex[4]].CIVILREGIONALISMNAME,
            provinceCode: this.data.provinceArr[this.data.multiIndex[0]].CIVILREGIONALISMCODE,
            cityCode: this.data.cityArr[this.data.multiIndex[1]].CIVILREGIONALISMCODE,
            areaCode: this.data.areaArr[this.data.multiIndex[2]].CIVILREGIONALISMCODE,
            townCode: this.data.townArr[this.data.multiIndex[3]].CIVILREGIONALISMCODE,
            villageCode: this.data.villageArr[this.data.multiIndex[4]].CIVILREGIONALISMCODE,
          })
        }
      },
    })
  },
  bindChange(e) {
    console.log(e.detail.value, '我改变开始了')
    console.log('我改变开始了multiIndex值是', this.data.multiIndex)
    if (e.detail.value[0] != this.data.multiIndex[0]) {
      this.chooseAdress2(this.data.provinceArr[e.detail.value[0]].CIVILREGIONALISMID);
      let multiIndex = [];
      multiIndex.push(e.detail.value[0], 0, 0, 0, 0)
      this.setData({
        value: multiIndex
      })
    } else if (e.detail.value[1] != this.data.multiIndex[1]) {
      this.chooseAdress3(this.data.cityArr[e.detail.value[1]].CIVILREGIONALISMID);
      let multiIndex = [];
      multiIndex.push(e.detail.value[0], e.detail.value[1], 0, 0, 0)
      this.setData({
        value: multiIndex
      })
    } else if (e.detail.value[2] != this.data.multiIndex[2]) {
      this.chooseAdress4(this.data.areaArr[e.detail.value[2]].CIVILREGIONALISMID);
      let multiIndex = [];
      multiIndex.push(e.detail.value[0], e.detail.value[1], e.detail.value[2], 0, 0)
      this.setData({
        value: multiIndex
      })
    } else if (e.detail.value[3] != this.data.multiIndex[3]) {
      this.chooseAdress5(this.data.townArr[e.detail.value[3]].CIVILREGIONALISMID);
      let multiIndex = [];
      multiIndex.push(e.detail.value[0], e.detail.value[1], e.detail.value[2], e.detail.value[3], 0)
      this.setData({
        value: multiIndex
      })
    } else if (e.detail.value[4] != this.data.multiIndex[4]) {
      this.setData({
        value: e.detail.value,
        village: this.data.villageArr[e.detail.value[4]].CIVILREGIONALISMNAME,
        villageCode: this.data.villageArr[e.detail.value[4]].CIVILREGIONALISMCODE
      })
    }
    this.setData({
      multiIndex: e.detail.value
    })
    console.log('我改变结束了multiIndex值是', this.data.multiIndex)
  },
  pickSure() {
    let arr = 'oldInfo[' + this.data.activeIndex + '].chooseAdressArr';
    let codeArr = [];
    this.setData({
      [arr]: []
    })
    codeArr.push(this.data.provinceCode, this.data.cityCode, this.data.areaCode, this.data.townCode, this.data.villageCode)
    this.data.oldInfo[this.data.activeIndex].chooseAdressArr.push(this.data.province, this.data.city, this.data.area, this.data.town, this.data.village)
    let a = this.data.oldInfo[this.data.activeIndex].chooseAdressArr.join("/");
    let b = codeArr.join(",")
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      nativePlace: a,
      nativePlaceId: b
    })
    this.setData({
      showAdressBox: false,
      oldInfo: this.data.oldInfo,
      oldplaceNull: false
    })
    if (this.data.oldInfo[this.data.activeIndex].isSameWithAddress[0].checked) {
      let Infos = 'oldInfo[' + this.data.activeIndex + '].chooseAdressArr1'
      this.setData({
        [Infos]: this.data.oldInfo[this.data.activeIndex].chooseAdressArr
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        address: a,
        addressId: b
      })
    }
  },
  pickEsc() {
    wx.hideLoading()
    this.setData({
      showAdressBox: false
    })
  },
  pickSure1() {
    let arr = 'oldInfo[' + this.data.activeIndex + '].chooseAdressArr1';
    let codeArr = [];
    this.setData({
      [arr]: [],
      oldnowplaceNull: false
    })
    codeArr.push(this.data.provinceCode, this.data.cityCode, this.data.areaCode, this.data.townCode, this.data.villageCode)
    this.data.oldInfo[this.data.activeIndex].chooseAdressArr1.push(this.data.province, this.data.city, this.data.area, this.data.town, this.data.village)
    let a = this.data.oldInfo[this.data.activeIndex].chooseAdressArr1.join("/");
    let b = codeArr.join(",")
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      address: a,
      addressId: b
    })
    this.setData({
      showAdressBox1: false,
      oldInfo: this.data.oldInfo
    })
  },
  pickEsc1() {
    wx.hideLoading()
    this.setData({
      showAdressBox1: false
    })
  },
  bindpickstart(e) {
    console.log(e, '滚动开始了')
    wx.showLoading({
      title: '加载中',
      mask: true
    })
    setTimeout(function () {
      wx.hideLoading()
    }, 5000)
  },
  bindpickend(e) {
    // console.log(e, '滚动结束了')
    wx.hideLoading()
  },
  // 补充户籍地址
  tab1Change6(e) {
    let Info = 'oldInfo[' + this.data.activeIndex + '].nativePlaceExt'
    this.setData({
      [Info]: e.detail.value,
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      nativePlaceExt: e.detail.value
    })
    if (this.data.oldInfo[this.data.activeIndex].isSameWithAddress[0].checked) {
      let Infos = 'oldInfo[' + this.data.activeIndex + '].addressExt'
      this.setData({
        [Infos]: e.detail.value
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        addressExt: e.detail.value
      })
    }
  },
  // 现居地址与户籍地址一致
  tab1change6_1(e) {
    const items = this.data.oldInfo[this.data.activeIndex].isSameWithAddress
    const values = e.detail.value
    for (let i = 0, lenI = items.length; i < lenI; ++i) {
      items[i].checked = false
      for (let j = 0, lenJ = values.length; j < lenJ; ++j) {
        if (items[i].name === values[j]) {
          items[i].checked = true
          break
        }
      }
    }
    let isSameWithAddress = 'oldInfo[' + this.data.activeIndex + '].isSameWithAddress'
    this.setData({
      [isSameWithAddress]: items
    })
    let codeArr = [];
    codeArr.push(this.data.provinceCode, this.data.cityCode, this.data.areaCode, this.data.townCode, this.data.villageCode)
    let Info = 'oldInfo[' + this.data.activeIndex + '].chooseAdressArr1'
    let Infos = 'oldInfo[' + this.data.activeIndex + '].addressExt'
    if (e.detail.value[0] == '现居地址与户籍地址一致') {
      this.setData({
        nowAdress: true,
        [Info]: this.data.oldInfo[this.data.activeIndex].chooseAdressArr,
        [Infos]: this.data.oldInfo[this.data.activeIndex].nativePlaceExt
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        isSameWithAddress: '是'
      })
      let a = this.data.oldInfo[this.data.activeIndex].chooseAdressArr.join("/");
      let b = codeArr.join(",")
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        address: a,
        addressId: b
      })
    } else {
      this.setData({
        nowAdress: false,
        [Info]: [],
        [Infos]: []
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        isSameWithAddress: '否'
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        address: null,
        addressId: null
      })
    }
  },
  // 补充现居住地址
  tab1Change7(e) {
    let Info = 'oldInfo[' + this.data.activeIndex + '].addressExt'
    this.setData({
      [Info]: e.detail.value
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      addressExt: e.detail.value
    })
  },
  // 婚姻以及配偶情况
  tab1Change8: function (e) {
    let data = this.data.oldInfo[this.data.activeIndex].oldMarry.map(v => {
      if (v.name == e.detail.value) {
        return {
          name: v.name,
          checked: true
        }
      }
      return {
        name: v.name,
        checked: false
      }
    })
    let oldMarry = 'oldInfo[' + this.data.activeIndex + '].oldMarry'
    let oldMarryValue = 'oldInfo[' + this.data.activeIndex + '].oldMarryValue'
    this.setData({
      [oldMarry]: data,
      [oldMarryValue]: e.detail.value,
      oldmarryNull: false
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      partnerState: e.detail.value
    })
    if (!this.data.oldInfo[this.data.activeIndex].oldMarry[1].checked) {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        partnerName: ''
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        partnerIdNumber: ''
      })
    }
  },
  //配偶的姓名
  tab1Change8_1(e) {
    let partnerName = 'oldInfo[' + this.data.activeIndex + '].partnerName'
    this.setData({
      [partnerName]: e.detail.value
    })
    this.formCheckPartnerName();
    if (!this.data.oldisMarryName) {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        partnerName: e.detail.value
      })
    }
  },
  //配偶身份证号
  tab1Change8_2(e) {
    let partnerIdNumber = 'oldInfo[' + this.data.activeIndex + '].partnerIdNumber'
    this.setData({
      [partnerIdNumber]: e.detail.value
    })
    this.formCheckPartnerId();
    if (!this.data.oldisMarryPhone && !this.data.oldisMarryPhoneGs) {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        partnerIdNumber: e.detail.value
      })
    }
  },
  //健康状况
  tab1Change9: function (e) {
    const items = this.data.oldInfo[this.data.activeIndex].healthAyy
    for (let i = 0, lenI = items.length; i < lenI; ++i) {
      items[i].checked = false
      for (let j = 0, lenJ = e.detail.value.length; j < lenJ; ++j) {
        if (items[i].name === e.detail.value[j]) {
          items[i].checked = true
          break
        }
      }
    }
    let healthAyy = 'oldInfo[' + this.data.activeIndex + '].healthAyy'
    let healthAyyValue = 'oldInfo[' + this.data.activeIndex + '].healthAyyValue'
    this.setData({
      [healthAyy]: items,
      [healthAyyValue]: e.detail.value
    })
    this.formCheckHealthNull();
    let revise1 = 'oldInfo[' + this.data.activeIndex + '].healthAyy[1].disabled'
    let revise2 = 'oldInfo[' + this.data.activeIndex + '].healthAyy[2].disabled'
    let revise3 = 'oldInfo[' + this.data.activeIndex + '].healthAyy[3].disabled'
    let rev1 = 'oldInfo[' + this.data.activeIndex + '].healthAyy[1].checked'
    let rev2 = 'oldInfo[' + this.data.activeIndex + '].healthAyy[2].checked'
    let rev3 = 'oldInfo[' + this.data.activeIndex + '].healthAyy[3].checked'
    let index = e.detail.value.indexOf('健康');
    if (index >= 0) {
      this.setData({
        [revise1]: true,
        [revise2]: true,
        [revise3]: true,
        [rev1]: false,
        [rev2]: false,
        [rev3]: false
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        health: JSON.stringify(['健康'])
      })
    } else {
      this.setData({
        [revise1]: false,
        [revise2]: false,
        [revise3]: false,
      })
    }
    if (index < 0 && e.detail.value.length != 0) {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        health: JSON.stringify(e.detail.value)
      })
    }
  },
  // 残疾类别
  tab1Change10: function (e) {
    const items = this.data.oldInfo[this.data.activeIndex].disabilityAyy
    const values = e.detail.value
    for (let i = 0, lenI = items.length; i < lenI; ++i) {
      items[i].checked = false
      for (let j = 0, lenJ = values.length; j < lenJ; ++j) {
        if (items[i].name === values[j]) {
          items[i].checked = true
          break
        }
      }
    }
    let disabilityAyy = 'oldInfo[' + this.data.activeIndex + '].disabilityAyy'
    let disabilityAyyValue = 'oldInfo[' + this.data.activeIndex + '].disabilityAyyValue'
    this.setData({
      [disabilityAyy]: items,
      [disabilityAyyValue]: e.detail.value
    })
    this.formCheckabilityNull();
    if (this.data.oldInfo[this.data.activeIndex].disabilityAyyValue.length != 0) {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        disabilityCategory: JSON.stringify(e.detail.value)
      })
    }
  },
  // 重特大疾病类别
  tab1Change10_1: function (e) {
    const items = this.data.oldInfo[this.data.activeIndex].sickType
    const values = e.detail.value
    for (let i = 0, lenI = items.length; i < lenI; ++i) {
      items[i].checked = false
      for (let j = 0, lenJ = values.length; j < lenJ; ++j) {
        if (items[i].name === values[j]) {
          items[i].checked = true
          break
        }
      }
    }
    let sickType = 'oldInfo[' + this.data.activeIndex + '].sickType'
    let sickTypeValue = 'oldInfo[' + this.data.activeIndex + '].sickTypeValue'
    this.setData({
      [sickType]: items,
      [sickTypeValue]: e.detail.value
    })
    this.formChecksickTypeNull();
    if (this.data.oldInfo[this.data.activeIndex].sickTypeValue.length != 0) {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        majorDiseases: JSON.stringify(e.detail.value)
      })
    }
  },
  // 残疾人等级
  tab1Change11: function (e) {
    let disabilityLevel = 'oldInfo[' + this.data.activeIndex + '].disabilityLevel'
    this.setData({
      [disabilityLevel]: this.data.disableLeval[e.detail.value],
      oldDisableLeval: false
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      disabilityLevel: this.data.oldInfo[this.data.activeIndex].disabilityLevel
    })
  },
  // 老年人能力情况
  tab1Change12: function (e) {
    let ability = 'oldInfo[' + this.data.activeIndex + '].ability'
    let Info = 'oldInfo[' + this.data.activeIndex + '].oldType'
    this.setData({
      [ability]: this.data.ableStatus[e.detail.value],
      oldnlNull: false,
    })
    if (e.detail.value == 2) {
      this.setData({
        [Info]: this.data.oldInfo[this.data.activeIndex].oldType.concat({
          name: "失能老人",
          disable: true,
          checked: true
        })
      })
    } else {
      for (var i = 0; i < this.data.oldInfo[this.data.activeIndex].oldType.length; i++) {
        if (this.data.oldInfo[this.data.activeIndex].oldType[i].name == '失能老人') {
          this.data.oldInfo[this.data.activeIndex].oldType.splice(i, 1);
        }
        this.setData({
          [Info]: this.data.oldInfo[this.data.activeIndex].oldType
        })
      }
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      ability: this.data.ableStatus[e.detail.value]
    })
  },
  // 生活经济情况
  tab1Change13: function (e) {
    let livingCondition = 'oldInfo[' + this.data.activeIndex + '].livingCondition'
    this.setData({
      [livingCondition]: this.data.moneyStatus[e.detail.value],
      oldjjNull: false
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      livingCondition: this.data.moneyStatus[e.detail.value]
    })
  },
  // 收入来源
  tab1Change14: function (e) {
    const items = this.data.oldInfo[this.data.activeIndex].moneyFromAyy
    const values = e.detail.value
    for (let i = 0, lenI = items.length; i < lenI; ++i) {
      items[i].checked = false
      for (let j = 0, lenJ = values.length; j < lenJ; ++j) {
        if (items[i].name === values[j]) {
          items[i].checked = true
          break
        }
      }
    }
    let moneyFromAyy = 'oldInfo[' + this.data.activeIndex + '].moneyFromAyy'
    let moneyFromAyyValue = 'oldInfo[' + this.data.activeIndex + '].moneyFromAyyValue'
    this.setData({
      [moneyFromAyy]: items,
      [moneyFromAyyValue]: e.detail.value
    })
    this.formCheckmoneyNull();
    if (this.data.oldInfo[this.data.activeIndex].moneyFromAyyValue.length != 0) {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        sourceOfIncome: JSON.stringify(e.detail.value)
      })
    }
  },
  // 其他收入来源sourceOfIncomeExt
  tab1Change14_1: function (e) {
    let sourceOfIncomeExt = 'oldInfo[' + this.data.activeIndex + '].sourceOfIncomeExt'
    this.setData({
      [sourceOfIncomeExt]: e.detail.value
    })
    this.formCheckmoneyQtNull()
    if (e.detail.value != '' && e.detail.value != null) {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        sourceOfIncomeExt: e.detail.value
      })
    }
  },
  // 本人上年度可支配收入
  tab1Change15: function (e) {
    let income = 'oldInfo[' + this.data.activeIndex + '].income'
    this.setData({
      [income]: this.data.payMoney[e.detail.value],
      oldsndsrNull: false
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      income: this.data.payMoney[e.detail.value]
    })
  },
  // 家庭救助帮扶情况
  tab1Change16: function (e) {
    const items = this.data.oldInfo[this.data.activeIndex].familyHelpArr
    const values = e.detail.value
    for (let i = 0, lenI = items.length; i < lenI; ++i) {
      items[i].checked = false
      for (let j = 0, lenJ = values.length; j < lenJ; ++j) {
        if (items[i].name === values[j]) {
          items[i].checked = true
          break
        }
      }
    }
    let familyHelpArr = 'oldInfo[' + this.data.activeIndex + '].familyHelpArr'
    let familyHelpArrValue = 'oldInfo[' + this.data.activeIndex + '].familyHelpArrValue'
    this.setData({
      [familyHelpArr]: items,
      [familyHelpArrValue]: e.detail.value
    })
    this.formCheckhelpNull();
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      rescueState: JSON.stringify(e.detail.value)
    })
  },
  // 其他救助帮扶情况
  tab1Change16_1: function (e) {
    let rescueStateExt = 'oldInfo[' + this.data.activeIndex + '].rescueStateExt'
    this.setData({
      [rescueStateExt]: e.detail.value
    })
    this.formCheckhelpQtNull();
    if (e.detail.value != null && e.detail.value != '') {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        rescueStateExt: e.detail.value
      })
    }
  },
  // 是否为失独家庭
  tab1Change17: function (e) {
    let data = this.data.oldInfo[this.data.activeIndex].loneArr.map(v => {
      if (v.name == e.detail.value) {
        return {
          name: v.name,
          checked: true
        }
      }
      return {
        name: v.name,
        checked: false
      }
    })
    let loneArr = 'oldInfo[' + this.data.activeIndex + '].loneArr'
    let loneArrValue = 'oldInfo[' + this.data.activeIndex + '].loneArrValue'
    this.setData({
      [loneArr]: data,
      [loneArrValue]: e.detail.value,
      loneNull: false
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      isLoss: e.detail.value
    })
  },
  // 陪伴居住情况
  tab1Change18: function (e) {
    const items = this.data.oldInfo[this.data.activeIndex].liveStatus
    const values = e.detail.value
    for (let i = 0, lenI = items.length; i < lenI; ++i) {
      items[i].checked = false
      for (let j = 0, lenJ = values.length; j < lenJ; ++j) {
        if (items[i].name === values[j]) {
          items[i].checked = true
          break
        }
      }
    }
    let liveStatus = 'oldInfo[' + this.data.activeIndex + '].liveStatus'
    let liveStatusValue = 'oldInfo[' + this.data.activeIndex + '].liveStatusValue'
    this.setData({
      [liveStatus]: items,
      [liveStatusValue]: e.detail.value
    })
    this.formCheckliveNull();
    let revise1 = "oldInfo[" + this.data.activeIndex + "].liveStatus[1].disabled";
    let revise2 = "oldInfo[" + this.data.activeIndex + "].liveStatus[2].disabled";
    let revise3 = "oldInfo[" + this.data.activeIndex + "].liveStatus[3].disabled";
    let revise4 = "oldInfo[" + this.data.activeIndex + "].liveStatus[4].disabled";
    let rev1 = "oldInfo[" + this.data.activeIndex + "].liveStatus[1].checked";
    let rev2 = "oldInfo[" + this.data.activeIndex + "].liveStatus[2].checked";
    let rev3 = "oldInfo[" + this.data.activeIndex + "].liveStatus[3].checked";
    let rev4 = "oldInfo[" + this.data.activeIndex + "].liveStatus[4].checked";
    let index = e.detail.value.indexOf('无人陪伴居住');
    if (index >= 0) {
      this.setData({
        [revise1]: true,
        [revise2]: true,
        [revise3]: true,
        [revise4]: true,
        [rev1]: false,
        [rev2]: false,
        [rev3]: false,
        [rev4]: false,
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        accompany: JSON.stringify(['无人陪伴居住'])
      })
    } else {
      this.setData({
        [revise1]: false,
        [revise2]: false,
        [revise3]: false,
        [revise4]: false
      })
    }
    if (index < 0 && e.detail.value.length != 0) {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        accompany: JSON.stringify(e.detail.value)
      })
    }
  },
  // 其他陪伴居住情况
  tab1Change18_1: function (e) {
    let accompanyExt = 'oldInfo[' + this.data.activeIndex + '].accompanyExt'
    this.setData({
      [accompanyExt]: e.detail.value
    })
    this.formCheckliveqtNull();
    if (e.detail.value != null && e.detail.value != '') {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        accompanyExt: e.detail.value
      })
    }
  },
  // 日常生活照料人
  tab1Change19: function (e) {
    const items = this.data.oldInfo[this.data.activeIndex].oftenMan
    const values = e.detail.value
    for (let i = 0, lenI = items.length; i < lenI; ++i) {
      items[i].checked = false
      for (let j = 0, lenJ = values.length; j < lenJ; ++j) {
        if (items[i].name === values[j]) {
          items[i].checked = true
          break
        }
      }
    }
    let oftenMan = 'oldInfo[' + this.data.activeIndex + '].oftenMan'
    let oftenManValue = 'oldInfo[' + this.data.activeIndex + '].oftenManValue'
    this.setData({
      [oftenMan]: items,
      [oftenManValue]: e.detail.value
    })
    let revise1 = "oldInfo[" + this.data.activeIndex + "].oftenMan[1].disabled";
    let revise2 = "oldInfo[" + this.data.activeIndex + "].oftenMan[2].disabled";
    let revise3 = "oldInfo[" + this.data.activeIndex + "].oftenMan[3].disabled";
    let revise4 = "oldInfo[" + this.data.activeIndex + "].oftenMan[4].disabled";
    let revise5 = "oldInfo[" + this.data.activeIndex + "].oftenMan[5].disabled";
    let rev1 = "oldInfo[" + this.data.activeIndex + "].oftenMan[1].checked";
    let rev2 = "oldInfo[" + this.data.activeIndex + "].oftenMan[2].checked";
    let rev3 = "oldInfo[" + this.data.activeIndex + "].oftenMan[3].checked";
    let rev4 = "oldInfo[" + this.data.activeIndex + "].oftenMan[4].checked";
    let rev5 = "oldInfo[" + this.data.activeIndex + "].oftenMan[5].checked";
    this.formCheckoftenNull();
    let index = e.detail.value.indexOf('无人照料');
    if (index >= 0) {
      this.setData({
        [revise1]: true,
        [revise2]: true,
        [revise3]: true,
        [revise4]: true,
        [revise5]: true,
        [rev1]: false,
        [rev2]: false,
        [rev3]: false,
        [rev4]: false,
        [rev5]: false,
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        lookAfter: JSON.stringify(['无人照料'])
      })
    } else {
      this.setData({
        [revise1]: false,
        [revise2]: false,
        [revise3]: false,
        [revise4]: false,
        [revise5]: false
      })
    }
    if (index < 0 && e.detail.value.length != 0) {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        lookAfter: JSON.stringify(e.detail.value)
      })
    }
  },
  // 其他人员关系
  tab1Change20: function (e) {
    let lookAfterExt = 'oldInfo[' + this.data.activeIndex + '].lookAfterExt'
    this.setData({
      [lookAfterExt]: e.detail.value
    })
    this.formCheckoftenQtNull();
    if (e.detail.value != null && e.detail.value != '') {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        lookAfterExt: e.detail.value
      })
    }
  },
  // 主要照料人姓名
  tab1Change21: function (e) {
    let mainLookName = 'oldInfo[' + this.data.activeIndex + '].mainLookName'
    this.setData({
      [mainLookName]: e.detail.value
    })
    this.formCheckoftenNameNull();
    if (e.detail.value != null && e.detail.value != '') {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        mainLookName: e.detail.value
      })
    }
  },
  // 主要照料人性别
  tab1Change22: function (e) {
    let data = this.data.oldInfo[this.data.activeIndex].mainLookSex.map(v => {
      if (v.name == e.detail.value) {
        return {
          name: v.name,
          checked: true
        }
      }
      return {
        name: v.name,
        checked: false
      }
    })
    let mainLookSex = 'oldInfo[' + this.data.activeIndex + '].mainLookSex'
    let mainLookSexValue = 'oldInfo[' + this.data.activeIndex + '].mainLookSexValue'
    this.setData({
      [mainLookSex]: data,
      [mainLookSexValue]: e.detail.value,
      lookAfterSex: false
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      mainLookSex: e.detail.value
    })
  },
  // 主要照料人电话
  tab1Change23: function (e) {
    let mainLookPhone = 'oldInfo[' + this.data.activeIndex + '].mainLookPhone'
    this.setData({
      [mainLookPhone]: e.detail.value
    })
    this.formCheckoftenPhoneNull();
    if (e.detail.value != '' && e.detail.value != null) {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        mainLookPhone: e.detail.value
      })
    }
  },
  // 关爱服务需求
  tab1Change24: function (e) {
    const items = this.data.oldInfo[this.data.activeIndex].loveRequire
    const values = e.detail.value
    for (let i = 0, lenI = items.length; i < lenI; ++i) {
      items[i].checked = false
      for (let j = 0, lenJ = values.length; j < lenJ; ++j) {
        if (items[i].name === values[j]) {
          items[i].checked = true
          break
        }
      }
    }
    let loveRequire = 'oldInfo[' + this.data.activeIndex + '].loveRequire'
    let loveRequireValue = 'oldInfo[' + this.data.activeIndex + '].loveRequireValue'
    this.setData({
      [loveRequire]: items,
      [loveRequireValue]: e.detail.value
    })
    this.formCheckloveNull();
    if (e.detail.value.length > 0) {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        demand: JSON.stringify(e.detail.value)
      })
    }
  },
  // 其他关爱需求
  tab1Change25: function (e) {
    console.log(e)
    let Info = 'oldInfo[' + this.data.activeIndex + '].demandExt'
    this.setData({
      [Info]: e.detail.value
    })
    this.formCheckloveQtNull();
    if (e.detail.value != null && e.detail.value != '') {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        demandExt: e.detail.value
      })
    }
  },
  //老年人类别
  tab1Change26: function (e) {
    const items = this.data.oldInfo[this.data.activeIndex].oldType
    const values = e.detail.value
    for (let i = 0, lenI = items.length; i < lenI; ++i) {
      items[i].checked = false
      for (let j = 0, lenJ = values.length; j < lenJ; ++j) {
        if (items[i].name === values[j]) {
          items[i].checked = true
          break
        }
      }
    }
    let oldType = 'oldInfo[' + this.data.activeIndex + '].oldType'
    let oldTypeValue = 'oldInfo[' + this.data.activeIndex + '].oldTypeValue'
    this.setData({
      [oldType]: items,
      [oldTypeValue]: e.detail.value
    })
    let index1 = e.detail.value.indexOf('农村留守老年人')
    let index2 = e.detail.value.indexOf('分散供养特困老年人')
    let index3 = e.detail.value.indexOf('计划生育特殊家庭老人')
    let index4 = e.detail.value.indexOf('空巢老年人')
    let revise = this.data.oldInfo[this.data.activeIndex].oldType[0].checked;
    let revise1 = "oldInfo[" + this.data.activeIndex + "].oldType[0].disable";
    let revise2 = "oldInfo[" + this.data.activeIndex + "].oldType[1].disable";
    let revise3 = "oldInfo[" + this.data.activeIndex + "].oldType[2].disable";
    let revise4 = "oldInfo[" + this.data.activeIndex + "].oldType[3].disable";
    let revise5 = "oldInfo[" + this.data.activeIndex + "].oldType[3].checked";
    if (index1 >= 0) {
      this.setData({
        [revise2]: true,
        [revise3]: true,
        [revise4]: true,
        [revise5]: true
      })
    } else {
      this.setData({
        [revise2]: false,
        [revise3]: false,
        [revise4]: false,
      })
      if (revise != this.data.villageOldChecked) {
        this.setData({
          [revise5]: false
        })
      } else {
        if (index4 >= 0) {
          this.setData({
            [revise1]: true,
            [revise2]: true,
            [revise3]: true,
          })
        }
      }
    }
    if (index2 >= 0) {
      this.setData({
        [revise1]: true,
        [revise3]: true,
        [revise4]: true
      })
    }
    if (index2 < 0 && index1 < 0 && index3 < 0 && index4 < 0) {
      this.setData({
        [revise1]: false,
        [revise2]: false,
        [revise3]: false,
        [revise4]: false
      })
    }
    if (index3 >= 0) {
      this.setData({
        [revise1]: true,
        [revise2]: true,
        [revise4]: true
      })
    }
    this.setData({
      villageOldChecked: revise
    })
    let newArray = []; //新数组
    let j = 0;
    for (let i in this.data.oldInfo[this.data.activeIndex].oldType) {
      if (this.data.oldInfo[this.data.activeIndex].oldType[i].checked) {
        newArray[j++] = this.data.oldInfo[this.data.activeIndex].oldType[i].name
      }
    }
    this.formCheckoldtypeNull();
    if (newArray.length > 0) {
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        oldType: JSON.stringify(newArray)
      })
    }
  },
  goPhoto() {
    isTwoOnshow = true;
    wx.setStorageSync('isTwoOnshow', true)
    wx.showLoading({
      title: '加载中',
    })
    wx.chooseImage({
      count: 1,
      sizeType: ['compressed'],
      sourceType: ['camera'],
      success: (res) => {
        const app = getApp()
        app.globalData.id = '-1'
        let tempFilePaths = res.tempFilePaths
        wx.uploadFile({
          url: util.globalData.publicUrl + '/sys/user/upload',
          filePath: tempFilePaths[0],
          name: 'uploadFile',
          formData: {
            "user": "test",
          },
          header: {
            appletsId: wx.getStorageSync('openId'),
          },
          success: (res) => {
            const app = getApp()
            app.globalData.id = '-2'
            let datas = JSON.parse(res.data)
            // console.log(datas)
            // wx.request({
            //   url: util.globalData.publicUrl + '/user/getPeople',
            //   method: "POST",
            //   header: {
            //     appletsId: wx.getStorageSync('openId')
            //   },
            //   data: {
            //     photoPath: datas.data
            //   },
            //   success: (res) => {
            //     console.log(res, '有没有face')
            //     if (res.data.code == 0) {
                  let imgPath = 'oldInfo[' + this.data.activeIndex + '].imgPath'
                  let isHavePhoto = 'oldInfo[' + this.data.activeIndex + '].isHavePhoto'
                  this.setData({
                    [imgPath]: datas.data,
                    [isHavePhoto]: true,
                  })
                  this.SubmitOldmanInfo({
                    id: this.data.nameArr[this.data.activeIndex]._id,
                    photo: datas.data,
                  })
                // } else {
                //   wx.showToast({
                //     title: '人脸识别不通过，请重新上传',
                //     icon: 'none',
                //     duration: 3000,
                //   })
                // }
              // }
            // })
          }
        })
      },
      complete: (e) => {
        wx.hideLoading();
      }
    })
  },
  closeImage(e) {
    let imgPath = 'oldInfo[' + e.currentTarget.dataset.activeindex + '].imgPath'
    this.setData({
      [imgPath]: '',
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      photo: '',
    })
  },
  // 子女个数
  tab2Change1: function (e) {
    console.log(e.detail.value, '0000000000')
    let childrenNum = 'childInfo[' + this.data.activeIndex + '].childrenNum'
    let Info = 'childInfo[' + this.data.activeIndex + '].Info'
    this.setData({
      [childrenNum]: this.data.childNumArr[e.detail.value],
      oldChildrenNull: false
    })
    console.log(this.data.childInfo[this.data.activeIndex].childrenNum, '8888888888888888888')
    if (e.detail.value == 0) {
      this.setData({
        [Info]: []
      })
    } else if (e.detail.value == 1) {
      this.setData({
        [Info]: [{
          name: '', // 姓名
          sex: '',
          phone: '', //  常用联系电话,
          isHasGoOut: '', // 子女是否外出
          outgoingplace: '', //  外出地点
          isHasPartner: '', // 是否有配偶 当是的时候 子女配偶姓名 子女配偶电话 必填 0: 是 1： 否
          name2: '', // 子女配偶姓名
          phone2: '', //  子女配偶电话
          outgoingTime: '', // 最后一次离家时间
          outgoingCause: '', // 外出原因
          visit: '', // 平均一年探望次数
        }]
      })
    } else if (e.detail.value == 2) {
      this.setData({
        [Info]: [{
          name: '', // 姓名
          sex: '',
          phone: '', //  常用联系电话,
          isHasGoOut: '', // 子女是否外出
          outgoingplace: '', //  外出地点
          isHasPartner: '', // 是否有配偶 当是的时候 子女配偶姓名 子女配偶电话 必填 0: 是 1： 否
          name2: '', // 子女配偶姓名
          phone2: '', //  子女配偶电话
          outgoingTime: '', // 最后一次离家时间
          outgoingCause: '', // 外出原因
          visit: '', // 平均一年探望次数
        }, {
          name: '', // 姓名
          sex: '',
          phone: '', //  常用联系电话,
          isHasGoOut: '', // 子女是否外出
          outgoingplace: '', //  外出地点
          isHasPartner: '', // 是否有配偶 当是的时候 子女配偶姓名 子女配偶电话 必填 0: 是 1： 否
          name2: '', // 子女配偶姓名
          phone2: '', //  子女配偶电话
          outgoingTime: '', // 最后一次离家时间
          outgoingCause: '', // 外出原因
          visit: '', // 平均一年探望次数
        }]
      })
    } else {
      this.setData({
        [Info]: [{
          name: '', // 姓名
          sex: '',
          phone: '', //  常用联系电话,
          isHasGoOut: '', // 子女是否外出
          outgoingplace: '', //  外出地点
          isHasPartner: '', // 是否有配偶 当是的时候 子女配偶姓名 子女配偶电话 必填 0: 是 1： 否
          name2: '', // 子女配偶姓名
          phone2: '', //  子女配偶电话
          outgoingTime: '', // 最后一次离家时间
          outgoingCause: '', // 外出原因
          visit: '', // 平均一年探望次数
        }, {
          name: '', // 姓名
          sex: '',
          phone: '', //  常用联系电话,
          isHasGoOut: '', // 子女是否外出
          outgoingplace: '', //  外出地点
          isHasPartner: '', // 是否有配偶 当是的时候 子女配偶姓名 子女配偶电话 必填 0: 是 1： 否
          name2: '', // 子女配偶姓名
          phone2: '', //  子女配偶电话
          outgoingTime: '', // 最后一次离家时间
          outgoingCause: '', // 外出原因
          visit: '', // 平均一年探望次数
        }, {
          name: '', // 姓名
          sex: '',
          phone: '', //  常用联系电话,
          isHasGoOut: '', // 子女是否外出
          outgoingplace: '', //  外出地点
          isHasPartner: '', // 是否有配偶 当是的时候 子女配偶姓名 子女配偶电话 必填 0: 是 1： 否
          name2: '', // 子女配偶姓名
          phone2: '', //  子女配偶电话
          outgoingTime: '', // 最后一次离家时间
          outgoingCause: '', // 外出原因
          visit: '', // 平均一年探望次数
        }]
      })
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childrenNum: e.detail.value,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  // 子女姓名
  tab2Change2: function (e) {
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].name';
    this.setData({
      [child]: e.detail.value
    })
    if (!e.detail.value) {
      this.setData({
        ['childNameNull[' + e.currentTarget.dataset.index + ']']: true
      })
      return false;
    } else {
      this.setData({
        ['childNameNull[' + e.currentTarget.dataset.index + ']']: false
      })
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  // 子女性别
  tab2Change3: function (e) {
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].sex';
    this.setData({
      [child]: this.data.childSexArr[e.detail.value],
      ['childSexNull[' + e.currentTarget.dataset.index + ']']: false
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  // 子女联系电话
  tab2Change4: function (e) {
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].phone';
    this.setData({
      [child]: e.detail.value
    })
    if (!e.detail.value) {
      this.setData({
        ['childPhoneNull[' + e.currentTarget.dataset.index + ']']: true
      })
      return false;
    } else {
      this.setData({
        ['childPhoneNull[' + e.currentTarget.dataset.index + ']']: false
      })
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  // 子女是否外出
  tab2Change5: function (e) {
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].isHasGoOut';
    this.setData({
      [child]: this.data.childIsout[e.detail.value],
      ['childOutNull[' + e.currentTarget.dataset.index + ']']: false
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  //外出原因
  tab2Change6: function (e) {
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].outgoingCause';
    this.setData({
      ['ischildOutReason[' + e.currentTarget.dataset.index + ']']: false,
      [child]: e.detail.value
    })
    if (!e.detail.value) {
      this.setData({
        ['ischildOutReason[' + e.currentTarget.dataset.index + ']']: true
      })
      return false;
    } else {
      this.setData({
        ['ischildOutReason[' + e.currentTarget.dataset.index + ']']: false
      })
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  // 外出地点
  tab2Change7: function (e) {
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].outgoingplace';
    console.log(child)
    let a = e.detail.value.join("/");
    console.log(a)
    this.setData({
      [child]: a,
      ['ischildOutPlace[' + e.currentTarget.dataset.index + ']']: false
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  // 最后一次离家时间
  tab2Change8: function (e) {
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].outgoingTime';
    this.setData({
      [child]: e.detail.value,
      ['ischildOutTime[' + e.currentTarget.dataset.index + ']']: false
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  // 是否有配偶
  tab2Change9: function (e) {
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].isHasPartner';
    this.setData({
      [child]: this.data.childIsMArry[e.detail.value],
      ['ischildMarry[' + e.currentTarget.dataset.index + ']']: false
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  // 配偶姓名
  tab2Change10: function (e) {
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].name2';
    this.setData({
      [child]: e.detail.value
    })
    if (!e.detail.value) {
      this.setData({
        ['ischildMarryName[' + e.currentTarget.dataset.index + ']']: true
      })
      return false;
    } else {
      this.setData({
        ['ischildMarryName[' + e.currentTarget.dataset.index + ']']: false
      })
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  // 配偶联系电话
  tab2Change11: function (e) {
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].phone2';
    this.setData({
      [child]: e.detail.value
    })
    if (!e.detail.value) {
      this.setData({
        ['ischildMarryPhone[' + e.currentTarget.dataset.index + ']']: true
      })
      return false;
    } else {
      this.setData({
        ['ischildMarryPhone[' + e.currentTarget.dataset.index + ']']: false
      })
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  // 一年探望次数
  tab2Change12: function (e) {
    let child = 'childInfo[' + this.data.activeIndex + '].Info[' + e.currentTarget.dataset.index + '].visit';
    this.setData({
      [child]: this.data.childTfTimes[e.detail.value],
      ['ischildvisit[' + e.currentTarget.dataset.index + ']']: false
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      childInfo: JSON.stringify(this.data.childInfo[this.data.activeIndex].Info)
    })
  },
  // tab3是否有赡养人状态改变
  tab3Change1: function (e) {
    let isHasOther = 'otherInfo[' + this.data.activeIndex + '].isHasOther'
    if (e.detail.value == '0') {
      this.setData({
        [isHasOther]: this.data.othersyrArr[e.detail.value],
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
      })
    } else {
      this.setData({
        [isHasOther]: this.data.othersyrArr[e.detail.value],
      })
      this.SubmitOldmanInfo({
        id: this.data.nameArr[this.data.activeIndex]._id,
        otherInfo: ''
      })
    }
    this.setData({
      [isHasOther]: this.data.othersyrArr[e.detail.value],
      isothersyrNull: false
    })
  },
  // 其他赡养人姓名
  tab3Change2: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.name'
    this.setData({
      [Info]: e.detail.value
    })
    if (!e.detail.value) {
      this.setData({
        isothersyrName: true
      })
      return false;
    } else {
      this.setData({
        isothersyrName: false
      })
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  // 其他赡养人性别
  tab3Change3: function (e) {
    let data = this.data.otherInfo[this.data.activeIndex].Info.othersyrSexArr.map(v => {
      if (v.name == e.detail.value) {
        return {
          name: v.name,
          checked: true
        }
      }
      return {
        name: v.name,
        checked: false
      }
    })
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.sex'
    this.setData({
      [Info]: e.detail.value,
      isothersyrSex: false
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  // 其他赡养人电话
  tab3Change4: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.phone'
    this.setData({
      [Info]: e.detail.value,
    })
    if (!e.detail.value) {
      this.setData({
        isothersyrPhone: true
      })
      return false;
    } else {
      this.setData({
        isothersyrPhone: false
      })
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  // 与被赡养人关系状态改变
  tab3Change5: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.relation'
    this.setData({
      [Info]: this.data.othersyrRelation[e.detail.value],
      isothersyrgx: false
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  // 输选择其他时入与被赡养人其他关系
  tab3Change6: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.relationExt'
    this.setData({
      [Info]: e.detail.value,
    })
    if (!e.detail.value) {
      this.setData({
        isothersyRelation: true
      })
      return false;
    } else {
      this.setData({
        isothersyRelation: false
      })
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  // 是否外出
  tab3Change7: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.isHasGoOut'
    this.setData({
      [Info]: this.data.othersyrIsout[e.detail.value],
      isothersyout: false
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  // 外出原因
  tab3Change8: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.outgoingCause'
    this.setData({
      [Info]: e.detail.value,
    })
    if (!e.detail.value) {
      this.setData({
        isOutReason: true
      })
      return false;
    } else {
      this.setData({
        isOutReason: false
      })
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  // 外出地点改变
  tab3Change9: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.outgoingplace'
    let a = e.detail.value.join("/");
    this.setData({
      [Info]: a,
      isOutPlace: false
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  //最后一次离家时间
  tab3Change10: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.outgoingTime'
    this.setData({
      [Info]: e.detail.value,
      isOutTime: false
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  //是否有配偶
  tab3Change11: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.isHasPartner'
    this.setData({
      [Info]: this.data.othersyrIsMarry[e.detail.value],
      ispartnerNull: false
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  // 配偶姓名
  tab3Change12: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.name2'
    this.setData({
      [Info]: e.detail.value,
    })
    if (!e.detail.value) {
      this.setData({
        isMarryName: true
      })
      return false;
    } else {
      this.setData({
        isMarryName: false
      })
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  // 配偶电话
  tab3Change13: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.phone2'
    this.setData({
      [Info]: e.detail.value,
    })
    if (!e.detail.value) {
      this.setData({
        isMarryPhone: true
      })
      return false;
    } else {
      this.setData({
        isMarryPhone: false
      })
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  //平均一年探望次数
  tab3Change14: function (e) {
    let Info = 'otherInfo[' + this.data.activeIndex + '].Info.visit'
    this.setData({
      [Info]: this.data.othersyrTfTimes[e.detail.value],
      isothervisit: false
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      otherInfo: JSON.stringify(this.data.otherInfo[this.data.activeIndex].Info)
    })
  },
  //tab4巡访方式
  tab4Change1: function (e) {
    const items = this.data.regularsInfos[this.data.activeIndex].visitMode
    const values = e.detail.value
    for (let i = 0, lenI = items.length; i < lenI; ++i) {
      items[i].checked = false
      for (let j = 0, lenJ = values.length; j < lenJ; ++j) {
        if (items[i].name === values[j]) {
          items[i].checked = true
          break
        }
      }
    }
    let visitMode = 'regularsInfos[' + this.data.activeIndex + '].visitMode'
    let visitMode1 = 'regularsInfo[' + this.data.activeIndex + '].visitMode'
    this.setData({
      [visitMode]: items,
      [visitMode1]: JSON.stringify(e.detail.value)
    })
    if (e.detail.value.length == 0) {
      this.setData({
        visitWaysFromOther: true
      })
      return false
    } else {
      this.setData({
        visitWaysFromOther: false
      })
    }
    console.log(this.data.regularsInfo)
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      regularsInfo: JSON.stringify(this.data.regularsInfo[this.data.activeIndex])
    })
  },
  // 巡防方式其他内容
  tab4Change2: function (e) {
    let Info = 'regularsInfos[' + this.data.activeIndex + '].visitModeExt'
    let Info1 = 'regularsInfo[' + this.data.activeIndex + '].visitModeExt'
    // let visitMode1 = 'regularsInfo[' + this.data.activeIndex + '].visitMode'
    // let arrs = [];
    // this.data.regularsInfos[this.data.activeIndex].visitMode.forEach(item => {
    //   if (item.checked) {
    //     arrs.push(item.name)
    //   }
    // })
    this.setData({
      [Info]: e.detail.value,
      [Info1]: e.detail.value,
      // [visitMode1]: arrs,
    })
    if (!e.detail.value) {
      this.setData({
        isVisittimesnull: true
      })
      return false
    } else {
      this.setData({
        isVisittimesnull: false
      })
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      regularsInfo: JSON.stringify(this.data.regularsInfo[this.data.activeIndex])
    })
  },
  // 巡访频次
  tab4Change3: function (e) {
    let data = this.data.regularsInfos[this.data.activeIndex].visitCount.map(v => {
      if (v.name == e.detail.value) {
        return {
          name: v.name,
          checked: true
        }
      }
      return {
        name: v.name,
        checked: false
      }
    })
    let visitCount = 'regularsInfos[' + this.data.activeIndex + '].visitCount'
    let visitCount1 = 'regularsInfo[' + this.data.activeIndex + '].visitCount'
    // let visitMode1 = 'regularsInfo[' + this.data.activeIndex + '].visitMode'
    // let arrs = [];
    // this.data.regularsInfos[this.data.activeIndex].visitMode.forEach(item => {
    //   if (item.checked) {
    //     arrs.push(item.name)
    //   }
    // })
    this.setData({
      [visitCount]: data,
      [visitCount1]: e.detail.value,
      visitTimesFromOther: false
    })
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      regularsInfo: JSON.stringify(this.data.regularsInfo[this.data.activeIndex])
    })
  },
  // 巡防方式其他内容
  tab4change4: function (e) {
    let Info = 'regularsInfos[' + this.data.activeIndex + '].visitCountExt'
    let Info1 = 'regularsInfo[' + this.data.activeIndex + '].visitCountExt'
    let visitMode1 = 'regularsInfo[' + this.data.activeIndex + '].visitMode'
    let arrs = [];
    this.data.regularsInfos[this.data.activeIndex].visitMode.forEach(item => {
      if (item.checked) {
        arrs.push(item.name)
      }
    })
    this.setData({
      [Info]: e.detail.value,
      [Info1]: e.detail.value,
      [visitMode1]: JSON.stringify(arrs),
    })
    if (!e.detail.value) {
      this.setData({
        isVisittimesQtnull: true
      })
      return false
    } else {
      this.setData({
        isVisittimesQtnull: false
      })
    }
    this.SubmitOldmanInfo({
      id: this.data.nameArr[this.data.activeIndex]._id,
      regularsInfo: JSON.stringify(this.data.regularsInfo[this.data.activeIndex])
    })
  },
  removeExcess(data) {
    if (data) {
      data = JSON.parse(data);
    }
    return data;
  },
  huixian(id, name) {
    if (!id) {
      let showbj = true;
      let oldInfo = [{
        name: '',
        oldSex: [{
          name: '男'
        }, {
          name: '女'
        }],
        oldSexValue: '',
        isSameWithAddress: [{
          name: '现居地址与户籍地址一致'
        }],
        addressExt: '',
        nativePlaceExt: '',
        nation: '', //民族
        idNumber: '', //身份证号
        phone: '',
        chooseAdressArr: [],
        chooseAdressArr1: [],
        oldMarry: [{
          name: "未婚"
        }, {
          name: "已婚"
        }, {
          name: "离异"
        }, {
          name: "丧偶"
        }],
        oldMarryValue: '',
        partnerName: '',
        partnerIdNumber: '',
        healthAyy: [{
          name: "健康",
          disabled: false
        }, {
          name: "残疾",
          disabled: false
        }, {
          name: "患重特大疾病",
          disabled: false
        }, {
          name: "老年人慢性病",
          disabled: false
        }],
        healthAyyValue: [],
        disabilityAyy: [{
          name: "视力残疾"
        }, {
          name: "听力残疾"
        }, {
          name: "言语残疾"
        }, {
          name: "肢体残疾"
        }, {
          name: "智力残疾"
        }, {
          name: "精神残疾"
        }, {
          name: "多重残疾"
        }],
        disabilityAyyValue: [],
        disabilityLevel: '', //残疾人类别
        sickType: [{
          name: "重大器官类疾病"
        }, {
          name: "心脑血管类疾病"
        }, {
          name: "神经与代谢类疾病"
        }, {
          name: "肢体与病毒类疾病"
        }, {
          name: "恶性肿瘤"
        }],
        sickTypeValue: [],
        ability: '', //老年人能力情况
        livingCondition: '', //生活经济情况
        moneyFromAyy: [{
          name: "家庭经营性收入"
        }, {
          name: "工资性收入"
        }, {
          name: "转移性收入"
        }, {
          name: "财产性收入"
        }, {
          name: "其它"
        }],
        moneyFromAyyValue: [],
        income: '',
        sourceOfIncomeExt: '', //其他收入情况
        familyHelpArr: [{
          name: "低保"
        }, {
          name: "建档立卡贫困户"
        }, {
          name: "医疗救助"
        }, {
          name: "临时救助"
        }, {
          name: "老年人福利津贴"
        }, {
          name: "残疾人两项补贴（或一项补贴)"
        }, {
          name: "其他救助"
        }],
        familyHelpArrValue: [],
        rescueStateExt: '', //其他救助
        loneArr: [{
          name: "是"
        }, {
          name: "否"
        }],
        loneArrValue: '',
        liveStatus: [{
          name: "无人陪伴居住",
          disabled: false
        }, {
          name: "配偶",
          disabled: false
        }, {
          name: "近亲属",
          disabled: false
        }, {
          name: "未成年孙子女",
          disabled: false
        }, {
          name: "其他情形",
          disabled: false
        }],
        liveStatusValue: [],
        accompanyExt: '', //陪伴居住其他
        oftenMan: [{
          name: "无人照料",
          disabled: false
        }, {
          name: "近亲属",
          disabled: false
        }, {
          name: "配偶",
          disabled: false
        }, {
          name: "邻里互助",
          disabled: false
        }, {
          name: "购买养老服务",
          disabled: false
        }, {
          name: "其他人员",
          disabled: false
        }],
        oftenManValue: [],
        lookAfterExt: '', //其他日常生活照料人关系
        mainLookName: '', //日常生活照料人姓名
        mainLookSex: [{
          name: "男"
        }, {
          name: "女"
        }],
        mainLookSexValue: '',
        mainLookPhone: '', //
        loveRequire: [{
            name: "生活照料"
          },
          {
            name: "生产帮助"
          },
          {
            name: "精神慰籍"
          },
          {
            name: "医疗保健"
          },
          {
            name: "权益维护"
          },
          {
            name: "安全监护"
          },
          {
            name: "文化娱乐"
          },
          {
            name: "紧急救助"
          },
          {
            name: "其它"
          },
        ],
        loveRequireValue: [],
        oldType: [{
          name: "农村留守老年人",
          disable: false,
          checked: false
        }, {
          name: "分散供养特困老年人",
          disable: false,
          checked: false
        }, {
          name: "计划生育特殊家庭老人",
          disable: false,
          checked: false
        }, {
          name: "空巢老年人",
          disable: false,
          checked: false
        }, {
          name: "独居老年人",
          disable: false,
          checked: false
        }, {
          name: "重残老人",
          disable: false,
          checked: false
        }, {
          name: "高龄老人",
          disable: false,
          checked: false
        }, {
          name: "居家老年人",
          disable: false,
          checked: false
        }],
        oldTypeValue: [],
        isHavePhoto: false,
        imgPath: '',
        photoAndLocation: '',
      }];
      let regularsInfos = [{
        visitMode: [{
          name: '电话问候',
          checked: false
        }, {
          name: '上门巡访',
          checked: false
        }, {
          name: '其它',
          checked: false
        }],
        visitModeExt: '', //巡访其他
        visitCount: [{
          name: '每天',
          checked: false
        }, {
          name: '每周',
          checked: false
        }, {
          name: '每月',
          checked: false
        }, {
          name: '每季',
          checked: false
        }, {
          name: '其它',
          checked: false
        }],
        visitCountExt: '', // 频次的其他
      }];
      let otherInfo = [{
        isHasOther: '',
        Info: {
          name: '', // 其他赡养人姓名,
          sex: '', //其他赡养人性别
          phone: '', //其他赡养人电话,
          relation: '', //与被赡养人关系 如果选了其他也是必填 单选
          relationExt: '', //与被赡养人关系--其他
          isHasGoOut: '', //是否外出
          outgoingCause: '', //外出原因
          outgoingplace: '', // 外出地点
          outgoingTime: '', // 最后一次离家时间
          isHasPartner: '', //是否有配偶  当是的时候  子女配偶姓名 子女配偶电话 必填   0:是  1：否
          name2: '',
          phone2: '',
          visit: '', //平均一年探望次数
          othersyrSexArr: [{
              name: '男',
              checked: false
            },
            {
              name: '女',
              checked: false
            },
          ]
        }
      }];
      let childInfo = [{
        childrenNum: ''
      }]
      this.setData({
        showBj: showbj,
        nameArr: [],
        oldInfo: oldInfo,
        childInfo: childInfo,
        otherInfo: otherInfo,
        regularsInfos: regularsInfos,
      })
    } else if (id == '-1'|| id == '-2') {
      console.log('手机回显显示照片')
    } else if (id) {
      wx.showLoading({
        title: '加载中',
      })
      this.setData({
        showBj: false,
        showBj1: false,
        showAdress: false,
        showAdress1: false,
        nameArr: [],
        activeIndex: 0,
        familyFid: id,
        color: 'transparent',
      })
      wx.request({
        url: util.globalData.publicUrl + '/wxinfo/listByFid',
        method: "GET",
        data: {
          fid: id,
        },
        header: {
          appletsId: wx.getStorageSync('openId')
        },
        success: (res) => {
          wx.hideLoading()
          console.log(res, "我是回显")
          console.log(res.data.data, "单查赋值锕")
          this.setData({
            oldInfo: res.data.data
          })
          let datass = res.data.data;
          let fristIndex = datass.findIndex((item) => {
            return name == item.name;
          });
          let fristArray = datass.filter((item) => {
            return name == item.name;
          });
          datass.splice(fristIndex, 1);
          datass.unshift(fristArray[0]);
          this.setData({
            nameArr: datass
          })
          console.log(this.data.regularsInfo, "赋值是么");
          let oldSex = [{
              name: '男',
              checked: false
            },
            {
              name: '女',
              checked: false
            }
          ]
          let oldMarry = [{
            name: "未婚"
          }, {
            name: "已婚"
          }, {
            name: "离异"
          }, {
            name: "丧偶"
          }];
          let loneArr = [{
            name: "是"
          }, {
            name: "否"
          }];
          let mainLookSex = [{
            name: "男"
          }, {
            name: "女"
          }];
          let abc = datass.map(item => {
            let otherInfo = ''
            let imgPath = ''
            if (item.photo) {
              imgPath = item.photo;
            } else {
              imgPath = ''
            }
            let disabilityAyyss = [{
              name: "视力残疾"
            }, {
              name: "听力残疾"
            }, {
              name: "言语残疾"
            }, {
              name: "肢体残疾"
            }, {
              name: "智力残疾"
            }, {
              name: "精神残疾"
            }, {
              name: "多重残疾"
            }];
            let sickType = [{
              name: "重大器官类疾病"
            }, {
              name: "心脑血管类疾病"
            }, {
              name: "神经与代谢类疾病"
            }, {
              name: "肢体与病毒类疾病"
            }, {
              name: "恶性肿瘤"
            }];
            let moneyFromAyy = [{
              name: "家庭经营性收入"
            }, {
              name: "工资性收入"
            }, {
              name: "转移性收入"
            }, {
              name: "财产性收入"
            }, {
              name: "其它"
            }];
            let familyHelpArr = [{
              name: "低保"
            }, {
              name: "建档立卡贫困户"
            }, {
              name: "医疗救助"
            }, {
              name: "临时救助"
            }, {
              name: "老年人福利津贴"
            }, {
              name: "残疾人两项补贴（或一项补贴)"
            }, {
              name: "其他救助"
            }];
            let loveRequire = [{
                name: "生活照料"
              },
              {
                name: "生产帮助"
              },
              {
                name: "精神慰籍"
              },
              {
                name: "医疗保健"
              },
              {
                name: "权益维护"
              },
              {
                name: "安全监护"
              },
              {
                name: "文化娱乐"
              },
              {
                name: "紧急救助"
              },
              {
                name: "其它"
              },
            ];
            let isSameWithAddresss = [{
              name: '现居地址与户籍地址一致'
            }]
            let finalarr = [];
            if (item.health.includes("健康")) {
              for (let i = 0; i < 4; i++) {
                let obj = new Object();
                obj.name = (i == 0 ? "健康" : i == 1 ? "残疾" : i == 2 ? "患重特大疾病" : i == 3 ? "老年人慢性病" : "");
                obj.checked = (i == 0 ? true : false);
                obj.disabled = (i == 0 ? false : true);
                finalarr.push(obj)
              }
            } else {
              for (let i = 0; i < 4; i++) {
                let obj = new Object();
                obj.name = (i == 0 ? "健康" : i == 1 ? "残疾" : i == 2 ? "患重特大疾病" : i == 3 ? "老年人慢性病" : "");
                obj.checked = (i == 0 ? false : false);
                obj.disabled = (i == 0 ? false : false);
                finalarr.push(obj)
              }
              if (item.health.includes("残疾")) {
                finalarr[1].checked = true;
              }
              if (item.health.includes("患重特大疾病")) {
                finalarr[2].checked = true;
              }
              if (item.health.includes("老年人慢性病")) {
                finalarr[3].checked = true;
              }
            }
            let accompanyArr = [];
            if (item.accompany.includes("无人陪伴居住")) {
              for (let i = 0; i < 5; i++) {
                let obj = new Object();
                obj.name = (i == 0 ? "无人陪伴居住" : i == 1 ? "配偶" : i == 2 ? "近亲属" : i == 3 ? "未成年孙子女" : "其他情形");
                obj.checked = (i == 0 ? true : false);
                obj.disabled = (i == 0 ? false : true);
                accompanyArr.push(obj)
              }
            } else {
              for (let i = 0; i < 5; i++) {
                let obj = new Object();
                obj.name = (i == 0 ? "无人陪伴居住" : i == 1 ? "配偶" : i == 2 ? "近亲属" : i == 3 ? "未成年孙子女" : "其他情形");
                obj.checked = (i == 0 ? false : false);
                obj.disabled = (i == 0 ? false : false);
                accompanyArr.push(obj)
              }
              if (item.accompany.includes("配偶")) {
                accompanyArr[1].checked = true;
              }
              if (item.accompany.includes("近亲属")) {
                accompanyArr[2].checked = true;
              }
              if (item.accompany.includes("未成年孙子女")) {
                accompanyArr[3].checked = true;
              }
              if (item.accompany.includes("其他情形")) {
                accompanyArr[4].checked = true;
              }
            }
            let lookAfterArr = [];
            if (item.lookAfter.includes("无人照料")) {
              for (let i = 0; i < 6; i++) {
                let obj = new Object();
                obj.name = (i == 0 ? "无人照料" : i == 1 ? "近亲属" : i == 2 ? "配偶" : i == 3 ? "邻里互助" : i == 4 ? "购买养老服务" : '其他人员');
                obj.checked = (i == 0 ? true : false);
                obj.disabled = (i == 0 ? false : true);
                lookAfterArr.push(obj)
              }
            } else {
              for (let i = 0; i < 6; i++) {
                let obj = new Object();
                obj.name = (i == 0 ? "无人照料" : i == 1 ? "近亲属" : i == 2 ? "配偶" : i == 3 ? "邻里互助" : i == 4 ? "购买养老服务" : '其他人员');
                obj.checked = (i == 0 ? false : false);
                obj.disabled = (i == 0 ? false : false);
                lookAfterArr.push(obj)
              }
              if (item.lookAfter.includes("近亲属")) {
                lookAfterArr[1].checked = true;
              }
              if (item.lookAfter.includes("配偶")) {
                lookAfterArr[2].checked = true;
              }
              if (item.lookAfter.includes("邻里互助")) {
                lookAfterArr[3].checked = true;
              }
              if (item.lookAfter.includes("购买养老服务")) {
                lookAfterArr[4].checked = true;
              }
              if (item.lookAfter.includes("其他人员")) {
                lookAfterArr[5].checked = true;
              }
            }

            let oldTypeArr = [];
            for (let i = 0; i < 9; i++) {
              let obj = new Object();
              obj.name = (i == 0 ? "农村留守老年人" : i == 1 ? "分散供养特困老年人" : i == 2 ? "计划生育特殊家庭老人" : i == 3 ? "空巢老年人" : i == 4 ? "独居老年人" : i == 5 ? "重残老人" : i == 6 ? "高龄老人" : i == 7 ? "失能老人" : "居家老年人");
              obj.checked = (i == 0 ? false : false);
              obj.disable = (i == 0 ? false : false);
              oldTypeArr.push(obj)
            }
            if (item.oldType.includes("农村留守老年人")) {
              oldTypeArr[0].checked = true;
              oldTypeArr[1].disable = true;
              oldTypeArr[2].disable = true;
              oldTypeArr[3].checked = true;
              oldTypeArr[3].disable = true;
            }
            if (item.oldType.includes("分散供养特困老年人")) {
              oldTypeArr[1].checked = true;
              oldTypeArr[0].disable = true;
              oldTypeArr[2].disable = true;
              oldTypeArr[3].disable = true;
            }
            if (item.oldType.includes("计划生育特殊家庭老人")) {
              oldTypeArr[2].checked = true;
              oldTypeArr[0].disable = true;
              oldTypeArr[1].disable = true;
              oldTypeArr[3].disable = true;
            }
            if (item.oldType.includes("空巢老年人") && item.oldType.includes("农村留守老年人")) {
              oldTypeArr[3].checked = true;
              oldTypeArr[1].disable = true;
              oldTypeArr[2].disable = true;
            }
            if (item.oldType.includes("空巢老年人") && !item.oldType.includes("农村留守老年人")) {
              oldTypeArr[3].checked = true;
              oldTypeArr[1].disable = true;
              oldTypeArr[2].disable = true;
              oldTypeArr[0].disable = true;
            }
            if (item.oldType.includes("独居老年人")) {
              oldTypeArr[4].checked = true;
            }
            if (item.oldType.includes("重残老人")) {
              oldTypeArr[5].checked = true;
            }
            if (item.oldType.includes("高龄老人")) {
              oldTypeArr[6].checked = true;
            }
            if (item.oldType.includes("失能老人")) {
              oldTypeArr[7].checked = true;
            }
            if (item.oldType.includes("居家老年人")) {
              oldTypeArr[8].checked = true;
            }
            disabilityAyyss.forEach(itemss => {
              item.disabilityCategory.forEach(item => {
                if (itemss.name == item) {
                  itemss.checked = true;
                }
              })
            })
            familyHelpArr.forEach(itemss => {
              item.rescueState.forEach(item => {
                if (itemss.name == item) {
                  itemss.checked = true;
                }
              })
            })
            moneyFromAyy.forEach(itemss => {
              item.sourceOfIncome.forEach(item => {
                if (itemss.name == item) {
                  itemss.checked = true;
                }
              })
            })
            if (item.majorDiseases) {
              sickType.forEach(items => {
                item.majorDiseases.forEach(itemss => {
                  if (items.name == itemss) {
                    items.checked = true;
                  }
                })
              })
            }
            loveRequire.forEach(itemss => {
              item.demand.forEach(item => {
                if (itemss.name == item) {
                  itemss.checked = true;
                }
              })
            })
            let chooseAdressArr = [];
            let chooseAdressArr1 = [];
            if (item.nativePlace) {
              let nativePlaces = item.nativePlace.split('/');
              chooseAdressArr = nativePlaces;
              if (item.isSameWithAddress == '是') {
                isSameWithAddresss.forEach(item => {
                  item.checked = true;
                })
                chooseAdressArr1 = chooseAdressArr;
              } else {
                chooseAdressArr1 = [];
              }
            }
            let addressExts = '';
            if (item.addressExt) {
              addressExts = item.addressExt
            }
            let nativePlaceExts = '';
            if (item.nativePlaceExt) {
              nativePlaceExts = item.nativePlaceExt
            }
            if (item.address) {
              let address = item.address.split('/')
              chooseAdressArr1 = address;
            }
            let oldSexValue = '';
            if (item.sex) {
              oldSexValue = item.sex
            }
            return {
              ...item,
              sickType: sickType,
              oldSex: oldSex.map(items => {
                if (items.name == item.sex) {
                  return {
                    name: items.name,
                    checked: true
                  }
                }
                return {
                  name: items.name,
                  checked: false
                }
              }),
              oldMarryValue: item.partnerState,
              loneArrValue: item.isLoss,
              mainLookSexValue: item.mainLookSex,
              healthAyyValue: item.health,
              disabilityAyyValue: item.disabilityCategory,
              sickTypeValue: item.majorDiseases,
              oftenManValue: item.lookAfter,
              liveStatusValue: item.accompany,
              moneyFromAyyValue: item.sourceOfIncome,
              familyHelpArrValue: item.rescueState,
              loveRequireValue: item.demand,
              oldTypeValue: item.oldType,
              oldMarry: oldMarry.map(items => {
                if (items.name == item.partnerState) {
                  return {
                    name: items.name,
                    checked: true
                  }
                }
                return {
                  name: items.name,
                  checked: false
                }
              }),

              oldSexValue: oldSexValue,
              addressExt: addressExts,
              nativePlaceExt: nativePlaceExts,
              imgPath: imgPath,
              healthAyy: finalarr,
              disabilityAyy: disabilityAyyss,
              moneyFromAyy: moneyFromAyy,
              familyHelpArr: familyHelpArr,
              otherInfo: otherInfo, //赡养人存在么
              mainLookSex: mainLookSex.map(items => {
                if (items.name == item.mainLookSex) {
                  return {
                    name: items.name,
                    checked: true
                  }
                }
                return {
                  name: items.name,
                  checked: false
                }
              }),
              loneArr: loneArr.map(items => {
                if (items.name == item.isLoss) {
                  return {
                    name: items.name,
                    checked: true
                  }
                }
                return {
                  name: items.name,
                  checked: false
                }
              }),
              liveStatus: accompanyArr,
              oftenMan: lookAfterArr,
              loveRequire: loveRequire,
              oldType: oldTypeArr,
              chooseAdressArr: chooseAdressArr,
              isSameWithAddress: isSameWithAddresss,
              chooseAdressArr1: chooseAdressArr1,
            }
          })
          //赡养人信息
          let def = datass.map(item => {
            let sexs = [{
                name: '男',
                checked: false
              },
              {
                name: '女',
                checked: false
              }
            ]
            let otherInfo = '';
            let name = '';
            let phone = ''
            let relation = ''
            let relationExt = ''
            let outgoingCause = ''
            let isHasGoOut = ''
            let outgoingTime = ''
            let isHasPartner = ''
            let outgoingplace = ''
            let phone2 = ''
            let name2 = ''
            let sex = '';
            let visit = '';
            if (item.otherInfo) {
              let partol = this.removeExcess(item.otherInfo);
              otherInfo = '是'
              if (partol.name) {
                name = partol.name
              }
              if (partol.sex) {
                sexs.forEach(items => {
                  if (items.name == partol.sex) {
                    items.checked = true;
                    sex = partol.sex;
                  }
                })
              }
              if (partol.phone) {
                phone = partol.phone
              }
              if (partol.relation) {
                relation = partol.relation
              }
              if (partol.relationExt) {
                relationExt = partol.relationExt
              }
              if (partol.visit) {
                visit = partol.visit;
              }
              if (partol.isHasGoOut) {
                isHasGoOut = partol.isHasGoOut;
              }
              if (partol.outgoingCause) {
                outgoingCause = partol.outgoingCause;
              }
              if (partol.outgoingTime) {
                outgoingTime = partol.outgoingTime;
              }
              if (partol.isHasPartner) {
                isHasPartner = partol.isHasPartner;
              }
              if (partol.outgoingplace) {
                outgoingplace = partol.outgoingplace;
              }
              if (partol.name2) {
                name2 = partol.name2;
              }
              if (partol.phone2) {
                phone2 = partol.phone2;
              }
            } else if (item.otherInfo == '') {
              otherInfo = '否'
            } else {
              otherInfo = ''
            }
            return {
              ...item,
              isHasOther: otherInfo, //赡养人存在
              Info: {
                name: name,
                phone: phone,
                relation: relation,
                relationExt: relationExt,
                isHasGoOut: isHasGoOut,
                outgoingCause: outgoingCause,
                outgoingTime: outgoingTime,
                isHasPartner: isHasPartner,
                outgoingplace: outgoingplace,
                visit: visit,
                name2: name2,
                phone2: phone2,
                othersyrSexArr: sexs,
                sex: sex,
              }
            }
          })
          // 子女信息
          let ghi = datass.map(item => {
            let childrenNum = '';
            if (item.childrenNum) {
              if (item.childrenNum == '4') {
                childrenNum = '3个以上'
              } else {
                childrenNum = item.childrenNum + '个'
              }
            } else {
              childrenNum = ''
            }
            let Info = [];
            if (item.childInfo) {
              let partol = this.removeExcess(item.childInfo);
              Info = partol
            } else {
              if (parseInt(childrenNum) == 5) {
                for (let i = 0; i < parseInt(childrenNum) - 1; i++) {
                  let chlidInfos = {
                    name: '', // 姓名
                    sex: '',
                    phone: '', //  常用联系电话,
                    isHasGoOut: '', // 子女是否外出
                    outgoingplace: '', //  外出地点
                    isHasPartner: '', // 是否有配偶 当是的时候 子女配偶姓名 子女配偶电话 必填 0: 是 1： 否
                    name2: '', // 子女配偶姓名
                    phone2: '', //  子女配偶电话
                    outgoingTime: '', // 最后一次离家时间
                    outgoingCause: '', // 外出原因
                    visit: '', // 平均一年探望次数
                  }
                  Info.push(chlidInfos)
                }
              } else {
                for (let i = 0; i < parseInt(childrenNum); i++) {
                  let chlidInfos = {
                    name: '', // 姓名
                    sex: '',
                    phone: '', //  常用联系电话,
                    isHasGoOut: '', // 子女是否外出
                    outgoingplace: '', //  外出地点
                    isHasPartner: '', // 是否有配偶 当是的时候 子女配偶姓名 子女配偶电话 必填 0: 是 1： 否
                    name2: '', // 子女配偶姓名
                    phone2: '', //  子女配偶电话
                    outgoingTime: '', // 最后一次离家时间
                    outgoingCause: '', // 外出原因
                    visit: '', // 平均一年探望次数
                  }
                  Info.push(chlidInfos)
                }
              }

            }
            return {
              ...item,
              childrenNum: childrenNum,
              Info: Info
            }
          })
          // 寻访人信息为了显示
          let zzz = datass.map(item => {
            let visitModeExt = ''
            let visitCountExt = ''
            let visitMode = [{
              name: '电话问候',
              checked: false
            }, {
              name: '上门巡访',
              checked: false
            }, {
              name: '其它',
              checked: false
            }]
            let visitCounts = [{
                name: '每天',
                checked: false
              }, {
                name: '每周',
                checked: false
              }, {
                name: '每月',
                checked: false
              },
              {
                name: '每季',
                checked: false
              },
              {
                name: '其它',
                checked: false
              }
            ];
            if (item.regularsInfo) {
              let partol = this.removeExcess(item.regularsInfo);
              let partols = this.removeExcess(partol.visitMode);
              if (partol.visitMode) {
                visitMode.forEach(items => {
                  partols.forEach(itemss => {
                    if (items.name == itemss) {
                      items.checked = true;
                    }
                  })
                })
              }
              if (partol.visitCount) {
                visitCounts.forEach(items => {
                  if (items.name == partol.visitCount) {
                    items.checked = true;
                  }
                })
              }
              if (partol.visitCountExt) {
                visitCountExt = partol.visitCountExt;
              }
              if (partol.visitModeExt) {
                visitModeExt = partol.visitModeExt;
              }
            }
            return {
              ...item,
              visitCountExt: visitCountExt,
              visitModeExt: visitModeExt,
              visitMode: visitMode,
              visitCount: visitCounts,
            }
          })
          // 寻访人信息
          let mmm = datass.map(item => {
            if (item.regularsInfo) {
              let partol = this.removeExcess(item.regularsInfo);
              let partols = this.removeExcess(partol.visitMode);
              return {
                visitCount: partol.visitCount,
                visitCountExt: partol.visitCountExt,
                visitMode: partols,
                visitModeExt: partol.visitModeExt,
              }
            }
          })
          this.setData({
            oldInfo: abc,
            otherInfo: def,
            childInfo: ghi,
            regularsInfos: zzz,
            regularsInfo: mmm,
          })
        }
      })
    }
  },
  // 提交老人采集信息
  SubmitOldmanInfo(data) {
    console.log(data, ' 提交老人信息带过来的数据')
    wx.request({
      url: util.globalData.publicUrl + '/wxinfo/update',
      method: "post",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      data,
      success: (res) => {
        console.log(res)
      }
    })
  },
  onReady() {
    isTwoOnshow = false;
    isonShow = false;
  },
  onShow() {
    wx.showLoading({
      title: '加载中',
    })
    tools.rzStatus().then((res) => {
      if (res.data.code == 0) {
        if (res.data.data) {
          // tools.finishInfo().then((res) => {
          //   console.log(res.data.data.perfect, '我完善信息了吗 1代表完后 0代表未完成')
          //   console.log(res.data.data.comparison, '我人脸识别过了吗 1代表完后 0代表未完成')
            // if (res.data.data.perfect == '0') {
            //   wx.redirectTo({
            //     url: '/pages/finishInfo/finishInfo',
            //   })
            //   return;
            // }
            // if (res.data.data.perfect == '1' && res.data.data.comparison == '0') {
            //   wx.redirectTo({
            //     url: '/pages/faceRecognition/faceRecognition',
            //   })
            //   return;
            // }
            const app = getApp();
            if (isTwoOnshow) {
              isTwoOnshow = false;
              return;
            };
            if (isonShow) {
              isonShow = false;
              return;
            };
            this.setData({
              addOldname: '',
              currentIndex: 0
            })
            console.log(app.globalData.id,'app.globalData.id');
            console.log(app.globalData.name,'app.globalData.name');
            this.huixian(app.globalData.id, app.globalData.name);
            this.AllFalse();
            wx.hideLoading()
          // })
        }
      } else {
        wx.hideLoading()
        wx.clearStorageSync();
        wx.showModal({
          showCancel: false,
          content: '当前您未登录,请登录',
          success(res) {
            if (res.confirm) {
              wx.redirectTo({
                url: '/pages/login/login',
              })
            }
          }
        })
      }
    });
  },
  onHide() {
    const app = getApp()
    console.log("初始", app.globalData.id)
    if (app.globalData.id != -1) {
      app.globalData.id = ''
      console.log("id不等于-1")
    }
    app.globalData.name = ''
    this.setData({
      shiBaiShow: false,
      showAdressBox: false,
      showAdressBox1: false
    })
    console.log("最终隐藏id", app.globalData.id)
  },
  //获取位置
  getSelfLocation: function () {
    console.log("我调用位置接口了");
    var qqmapsdk = new QQMapWX({
      key: 'B5DBZ-NGIHP-SQMD4-LHMG3-NJ72Z-7KFOV' //申请的开发者秘钥key
    });
    wx.getLocation({
      //type: 'wgs84',
      type: 'gcj02',
      success: (res) => {
        console.log(res, "00我调用位置接口成功了");
        // 返回当前定位的经纬度
        var latitude = parseFloat(res.latitude).toFixed(5);
        var longitude = parseFloat(res.longitude).toFixed(5);
        qqmapsdk.reverseGeocoder({
          location: {
            latitude: res.latitude,
            longitude: res.longitude
          },
          success: (res) => {
            let photoAndLocation = 'oldInfo[' + this.data.activeIndex + '].photoAndLocation'
            let gps = longitude + '/' + latitude + '/' + res.result.address
            this.setData({
              [photoAndLocation]: gps,
              LocationNull: false
            })
            this.SubmitOldmanInfo({
              id: this.data.nameArr[this.data.activeIndex]._id,
              photoAndLocation: gps
            })
            this.goPhoto();
          },
          fail: function (res) {
            console.log('获取当前地址失败');
            this.setData({
              LocationNull: true
            })
          }
        });
      },
      fail: function () {
        console.log('获取失败了打开设置')
        wx.showModal({
          showCancel: false,
          title: '定位权限获取失败',
          content: '点击右上方三个点->设置->打开位置权限'
        })
        this.setData({
          LocationNull: true
        })
      }
    });
  },
  onLoad() {
    // console.log(wx.getStorageSync('user'), '000000')
    // if (wx.getStorageSync('user') == '') {
    //   wx.redirectTo({
    //     url: '/pages/login/login',
    //   })
    // }
  },
  // 表单校验老人身份证号
  formCheckCard() {
    this.setData({
      oldCardNull: false,
      oldCardWrong: false,
      oldCard60: false,
      oldCard100: false,
      oldCard150: false,
      oldCardhas: false,
    })
    // 身份证号
    let idNumber = this.data.oldInfo[this.data.activeIndex].idNumber
    if (idNumber == null || idNumber == '') {
      this.setData({
        oldCardNull: true
      })
    } else {
      this.setData({
        oldCardNull: false
      })
      // wx.request({
      //   url: util.globalData.publicUrl + '/wxinfo/listByNumber',
      //   method: "get",
      //   header: {
      //     appletsId: wx.getStorageSync('openId')
      //   },
      //   data: {
      //     number: idNumber
      //   },
      //   success: (res) => {
      //     if (res.data.code == 1) {
      //       console.log('身份证已存在')
      //       this.setData({
      //         oldCardhas: true
      //       })
      //     } else {
      //       console.log('身份证不存在')
      //       this.setData({
      //         oldCardhas: false
      //       })
      if (!(/^[1-9]\d{5}(18|19|([23]\d))\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$/.test(idNumber)) || idNumber.length != 18) {
        this.setData({
          oldCardWrong: true
        })
      } else {
        this.setData({
          oldCardWrong: false
        })
        var myDate = new Date();
        var month = myDate.getMonth() + 1;
        var day = myDate.getDate();
        var age = myDate.getFullYear() - idNumber.substring(6, 10) - 1;
        if (idNumber.substring(10, 12) < month || idNumber.substring(10, 12) == month && idNumber.substring(12, 14) <= day) {
          age++;
        }
        console.log(age, '我是身份证的年龄')
        if (age < 60) {
          this.setData({
            oldCard60: true
          })
        } else {
          this.setData({
            oldCard60: false
          })
        }
        if (age > 100 && age < 150) {
          this.setData({
            oldCard100: true
          })
        } else {
          this.setData({
            oldCard100: false
          })
        }
        if (age >= 150) {
          this.setData({
            oldCard150: true
          })
        } else {
          this.setData({
            oldCard150: false
          })
        }
      }
      //       }
      //     }
      //   })
    }

  },
  // checkIdcardHas(number){

  // },
  // 表单校验老人联系电话
  formCheckPhone() {
    this.setData({
      oldPhoneNull: false,
      oldPhoneNull1: false
    })
    if (!this.data.oldInfo[this.data.activeIndex].phone) {
      this.setData({
        oldPhoneNull: true
      })
      return false
    }
    if (!(/^1[34578]\d{9}$/.test(this.data.oldInfo[this.data.activeIndex].phone))) {
      this.setData({
        oldPhoneNull1: true
      })
    }
  },
  // 表单校验配偶姓名
  formCheckPartnerName() {
    this.setData({
      oldisMarryName: false
    })
    if (!this.data.oldInfo[this.data.activeIndex].partnerName) {
      this.setData({
        oldisMarryName: true
      })
    }
  },
  //表单校验配偶身份证号
  formCheckPartnerId() {
    this.setData({
      oldisMarryPhone: false,
      oldisMarryPhoneGs: false
    })
    // 身份证号
    let idNumber = this.data.oldInfo[this.data.activeIndex].partnerIdNumber
    if (!idNumber) {
      this.setData({
        oldisMarryPhone: true
      })
    } else {
      if (!(/^[1-9]\d{5}(18|19|([23]\d))\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$/.test(idNumber)) || idNumber.length != 18) {
        this.setData({
          oldisMarryPhoneGs: true
        })
      }
    }
  },
  // 表单校验健康状况
  formCheckHealthNull() {
    this.setData({
      oldHealth: false
    })
    let healthAyy = this.data.oldInfo[this.data.activeIndex].healthAyy
    if (!healthAyy[0].checked && !healthAyy[1].checked && !healthAyy[2].checked && !healthAyy[3].checked) {
      this.setData({
        oldHealth: true
      })
    }
  },
  // 表单校验残疾类别
  formCheckabilityNull() {
    this.setData({
      oldDisableType: false
    })
    if (this.data.oldInfo[this.data.activeIndex].disabilityAyyValue.length == 0) {
      this.setData({
        oldDisableType: true
      })
    }
  },
  //表单校验重特大疾病类别
  formChecksickTypeNull() {
    this.setData({
      issickTypeNull: false
    })
    if (this.data.oldInfo[this.data.activeIndex].sickTypeValue.length == 0) {
      this.setData({
        issickTypeNull: true
      })
    }
  },
  //收入来源为空校验
  formCheckmoneyNull() {
    this.setData({
      moneyFromOther: false
    })
    if (this.data.oldInfo[this.data.activeIndex].moneyFromAyyValue.length == 0) {
      this.setData({
        moneyFromOther: true
      })
    }
  },
  // 其他收入来源
  formCheckmoneyQtNull() {
    this.setData({
      moneyOtherQtnull: false
    })
    if (!this.data.oldInfo[this.data.activeIndex].sourceOfIncomeExt) {
      this.setData({
        moneyOtherQtnull: true
      })
    }
  },
  //家庭救助帮扶情况
  formCheckhelpNull() {
    this.setData({
      familyHelp: false
    })
    if (this.data.oldInfo[this.data.activeIndex].familyHelpArrValue.length == 0) {
      this.setData({
        familyHelp: true
      })
    }
  },
  // 其他救助帮扶情况
  formCheckhelpQtNull() {
    this.setData({
      otherhelpQtnull: false
    })
    if (!this.data.oldInfo[this.data.activeIndex].rescueStateExt) {
      this.setData({
        otherhelpQtnull: true
      })
    }
  },
  // 陪伴居住情况
  formCheckliveNull() {
    this.setData({
      isliveNull: false
    })
    if (this.data.oldInfo[this.data.activeIndex].liveStatusValue.length == 0) {
      this.setData({
        isliveNull: true
      })
    }
  },
  //其他陪伴居住情况
  formCheckliveqtNull() {
    this.setData({
      isliveQtNull: false
    })
    if (!this.data.oldInfo[this.data.activeIndex].accompanyExt) {
      this.setData({
        isliveQtNull: true
      })
    }
  },
  // 日常生活照料人
  formCheckoftenNull() {
    this.setData({
      isoftenManNull: false
    })
    if (this.data.oldInfo[this.data.activeIndex].oftenManValue.length == 0) {
      this.setData({
        isoftenManNull: true
      })
    }
  },
  //其他日常生活照料人
  formCheckoftenQtNull() {
    this.setData({
      isoftenReaNull: false
    })
    if (!this.data.oldInfo[this.data.activeIndex].lookAfterExt) {
      this.setData({
        isoftenReaNull: true
      })
    }
  },
  //日常生活照料人姓名
  formCheckoftenNameNull() {
    this.setData({
      lookAfterName: false
    })
    if (!this.data.oldInfo[this.data.activeIndex].mainLookName) {
      this.setData({
        lookAfterName: true
      })
    }
  },
  //日常生活照料人电话
  formCheckoftenPhoneNull() {
    this.setData({
      islookPhoneNull: false
    })
    if (!this.data.oldInfo[this.data.activeIndex].mainLookPhone) {
      this.setData({
        islookPhoneNull: true
      })
    }
  },
  // 关爱服务需求
  formCheckloveNull() {
    this.setData({
      isloveNull: false
    })
    if (this.data.oldInfo[this.data.activeIndex].loveRequireValue.length == 0) {
      this.setData({
        isloveNull: true
      })
    }
  },
  formCheckloveQtNull() {
    this.setData({
      isloveQtNull: false
    })
    if (!this.data.oldInfo[this.data.activeIndex].demandExt) {
      this.setData({
        isloveQtNull: true
      })
    }
  },
  // 老年人类别
  formCheckoldtypeNull() {
    this.setData({
      isoldtypeNull: false
    })
    if (this.data.oldInfo[this.data.activeIndex].oldTypeValue.length == 0) {
      this.setData({
        isoldtypeNull: true
      })
    }
  }
})